commit f19b15f91e90c02ae0e2bf815a9bbf5444db1987
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Oct 17 16:32:34 2011 +0200

    prepare 3.2.1

 NEWS         |   32 ++++++++++++++++++++++++++++++++
 configure.ac |    6 +++---
 2 files changed, 35 insertions(+), 3 deletions(-)

commit 83f9dd20c3238784c46072aa134741d9fe7ee3b6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Oct 17 16:40:12 2011 +0200

    Revert "TpChat: remove support for old Properties"

    This reverts commit 0e053c39298d88afa1645c0d95a8aa43b662cc38.

 libempathy/empathy-tp-chat.c |  268
 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 263 insertions(+), 5 deletions(-)

commit 019f7e6ea56c0967427f5f2d6932dafa4bd80445
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Mon Oct 17 15:08:41 2011 +0200

    Updated Slovenian translation

 po/sl.po |  172
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 88 insertions(+), 84 deletions(-)

commit ed792a58d2f3cfc75bc51de7f32f4a81145bde37
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Mon Oct 17 19:51:26 2011 +1100

    Updated Vietnamese translation

 po/vi.po |   78
 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 33 insertions(+), 45 deletions(-)

commit f251900d74839eb820eaad29e0a8ff5cc9bf4d91
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Mon Oct 17 19:45:34 2011 +1100

    po/vi: import from Damned Lies

 po/vi.po | 1409
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 780 insertions(+), 629 deletions(-)

commit 7a91ffcf78bcdb2da8370466182ae5a257d737d9
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Mon Oct 17 10:14:45 2011 +0200

    l10n: updated Italian translation

 po/it.po |  363
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 185 insertions(+), 178 deletions(-)

commit 9b9feed43af4bf58593014b3ad618379b4c42473
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Oct 17 06:30:57 2011 +0200

    Updated Swedish translation

 po/sv.po |  601
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 412 insertions(+), 189 deletions(-)

commit 213bd65762841b5d31ffebaf44c6dbae2aeae805
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Mon Oct 17 03:04:05 2011 +0900

    Updated Korean translation

 po/ko.po |  380
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 195 insertions(+), 185 deletions(-)

commit 86ee57a1c1018f6b7920d3be14250e5118a1c1ca
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sun Oct 16 14:47:21 2011 +0100

    Updated British English translation

 po/en_GB.po |  286
 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 145 insertions(+), 141 deletions(-)

commit cc9bd3ff79854e6f050e41a20a33e8a078ea3230
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Oct 16 13:15:17 2011 +0200

    Updated French translation

 po/fr.po |  370
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 187 insertions(+), 183 deletions(-)

commit 740100cc8c1b277083a6337fcc407aaa108e354b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Oct 16 12:02:03 2011 +0200

    Updated Spanish translation

 po/es.po |  379
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 188 insertions(+), 191 deletions(-)

commit 147edee1a9335b7cc1c6a2e28e70417711b7196b
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Oct 16 00:12:21 2011 +0200

    Updaged Galician translations

 po/gl.po |  368
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 186 insertions(+), 182 deletions(-)

commit 71b56d1e89da50dd7a74534db468edf1050a955d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Oct 15 22:24:19 2011 +0300

    Updated Lithuanian translation

 po/lt.po |  410
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 201 insertions(+), 209 deletions(-)

commit 78e9015ded0882bc5d06279f20d24806ac15888d
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Oct 15 19:26:48 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  175
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 90 insertions(+), 85 deletions(-)

commit 8503bd0bbb1b6bd8acaeffc780bc613886fd4f41
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Oct 15 10:02:58 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  176
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 90 insertions(+), 86 deletions(-)

commit cf3d6059678980d21d5091bf15ef6225836dd249
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Oct 14 21:35:12 2011 +0200

    [l10n] Updated German translation

 po/de.po |  441
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 218 insertions(+), 223 deletions(-)

commit 57c6cfe67824bba7997573d5071ee1aba0c06176
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Oct 14 20:17:25 2011 +0200

    Updated Hungarian translation

 po/hu.po |  377
 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 176 insertions(+), 201 deletions(-)

commit eb7b0a14c7efcbae183b58bb5ead188ad0e6fd1a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Oct 14 19:53:09 2011 +0200

    Updated Polish translation

 po/pl.po |  368
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 186 insertions(+), 182 deletions(-)

commit 370db7f9e32fb2f41452ffe752382bfcd3a53a42
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Oct 14 13:25:00 2011 +0200

    Mark a forgotten string for translation.

    https://bugzilla.gnome.org/show_bug.cgi?id=661756

 src/empathy-preferences.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0bf6ee3a15d15cb80c5835d33bf899b2404da053
Merge: 470d731 e623416
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Oct 14 18:07:42 2011 +0100

    Merge branch 'subjective' into gnome-3-2

commit e623416a51aca9f813208a0691585d6fb0dbbb1b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Oct 14 16:22:54 2011 +0100

    adium themes: crash less hard when Template.html is missing

    If Template.html is missing, then you haven't installed Empathy
    properly
    (or set EMPATHY_SRCDIR or whatever in my case). But previously
    we would
    just crash later down this function when passing template_html to
    string_with_format() without checking if it's NULL. This patch makes
    it fail a little less inscrutably.

 libempathy-gtk/empathy-theme-adium.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 0e053c39298d88afa1645c0d95a8aa43b662cc38
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 8 12:17:31 2011 +0100

    TpChat: remove support for old Properties

    Change notification for this is broken in the CMs *anyway*.

 libempathy/empathy-tp-chat.c |  268
 +-----------------------------------------
 1 files changed, 5 insertions(+), 263 deletions(-)

commit 2318a627d32dbb4dc0671f2abe64217668fe27d1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 8 11:34:36 2011 +0100

    TpChat: Use RoomConfig1 and Subject if available

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=658542

 libempathy/empathy-tp-chat.c |  143
 ++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 138 insertions(+), 5 deletions(-)

commit 889baf4dc3542769286c38e582eb2b9c823920be
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Oct 14 15:31:59 2011 +0100

    configure: depend on tp-glib with Subject.

    Actually, a slightly earlier version of telepathy-glib, on the
    unstable
    0.15.x branch, includes Subject, but we may as well depend on
    the stable
    branch: it includes fixes for Empathy bugs.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e32f31c9bb13885ff23ee4ef11787f82886ce2e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 8 10:48:03 2011 +0100

    TpChat: track subject and title explicitly.

    This will allow us to also use the new API (and, ultimately, delete
    the Telepathy.Properties code cleanly).

 libempathy/empathy-tp-chat.c |   87
 ++++++++++++++++++------------------------
 1 files changed, 37 insertions(+), 50 deletions(-)

commit 23afe1c84b4567a8dac9e9cf2caa99596679d1de
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 8 08:07:08 2011 +0100

    TpChat: hide guts of Telepathy properties.

    This will make it easier to replace these with new stuff. The funky
    indentation in the callbacks for the subject and title changing is to
    make it clear that I didn't change that code; I'll reindent it in
    another patch.

 libempathy-gtk/empathy-chat.c |   68 +++++++++---------------
 libempathy/empathy-tp-chat.c  |  121
 +++++++++++++++++++++++++++++++++++------
 libempathy/empathy-tp-chat.h  |   22 +++-----
 3 files changed, 136 insertions(+), 75 deletions(-)

commit 470d73148cee8632b0268a0277f3b29e083b804d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Oct 12 18:12:53 2011 +0100

    Make sure we have our settings before we want to use them

 src/empathy-call-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4ec40a51cb71576e253c162a61d07e8b6cca78a1
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Oct 12 18:12:05 2011 +0100

    Don't try to access non-existing properties

 src/empathy-audio-src.c |   25 ++++++++++++++++++++-----
 1 files changed, 20 insertions(+), 5 deletions(-)

commit a2776503c54bbd5cf4dec7cb7fd962b641145d50
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 11 17:01:23 2011 -0400

    preferences: don't display variants checkbox if there is no variant

    https://bugzilla.gnome.org/show_bug.cgi?id=660586

 src/empathy-preferences.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 3b152eee315b32c0e8d844137843bb3f9a0c554b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 11 16:46:23 2011 -0400

    Use default variant if we can't find any variants

    We use to crash here trying to get the first element of an empty
    GPtrArray.

    https://bugzilla.gnome.org/show_bug.cgi?id=660586

 libempathy-gtk/empathy-theme-adium.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c7c9bf5beb4b2186a58c204fad97a375aa51f17c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Sun Oct 9 15:07:58 2011 -0400

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c188e51075214045bce4c6ccb00a34b148576802
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Sun Oct 9 14:55:05 2011 -0400

    prepare 3.2.0.1

 NEWS         |   27 +++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 29 insertions(+), 2 deletions(-)

commit d4c5112f44be783554aceb433e0e1525830f068d
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Oct 9 08:08:56 2011 +0200

    Updated Esperanto translation

 po/eo.po | 2615
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 1573 insertions(+), 1042 deletions(-)

commit 950aa7fc9a1258d6c602c358e27c97b3cb6ae29e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Tue Oct 4 20:12:57 2011 +0200

    Updated French doc translation

 help/fr/figures/empathy-main-window.png |  Bin 10959 -> 44444 bytes
 help/fr/figures/empathy-new-account.png |  Bin 23132 -> 0 bytes
 help/fr/fr.po                           |  155
 +++++++++++++++++--------------
 3 files changed, 86 insertions(+), 69 deletions(-)

commit ce9dd85b96b65a1cb42e2368075537f76436d358
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Oct 4 20:53:59 2011 +0300

    Updated Latvian translation.

 po/lv.po |  318
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 157 insertions(+), 161 deletions(-)

commit fe154ac0c1a5d090583560229ceeee99ec057453
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Sat Oct 1 19:41:28 2011 +0200

    Updated Slovak translation

 po/sk.po | 2759
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1583 insertions(+), 1176 deletions(-)

commit 6f236bf4643f5643c54b271d83eb6dd456498d1c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 29 14:23:22 2011 +0200

    Use new GOA desktop file

    https://bugzilla.gnome.org/show_bug.cgi?id=660449

 libempathy-gtk/empathy-account-widget.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit a4d04296fd8c397d02193b1984420a4281947336
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 28 02:24:20 2011 +0300

    Uploaded Ukranian

 po/uk.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit f6c39304041aacb2e6cd9d1d79052d8101a73b9f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 28 02:22:17 2011 +0300

    Uploaded Ukranian

 po/uk.po | 1429
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 784 insertions(+), 645 deletions(-)

commit 6521a48db78021708753163eaf925af3dde23dde
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Sep 27 16:12:06 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |  375
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 197 insertions(+), 178 deletions(-)

commit 5501047053f4da64a46dcd142a2f5e65ef4ece04
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 26 15:55:40 2011 +0200

    always display the accounts dialog if we have to show a specific
    account

    https://bugzilla.gnome.org/show_bug.cgi?id=660124

 src/empathy-accounts-common.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f4acf00a36ad88246423a5fc9a2da4ecc8fcb8e6
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:34:28 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2130
 +++++++++++++++++++++++++++++++----------------------
 1 files changed, 1268 insertions(+), 862 deletions(-)

commit 8dc1b0a217c8eab35df339aef7197b0f767c40df
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Fri Sep 23 13:28:32 2011 +0200

    e-account-widget-irc: Use a GtkGrid to fix label wrapping

    https://bugzilla.gnome.org/show_bug.cgi?id=646630

 libempathy-gtk/empathy-account-widget-irc.c  |    4 +-
 libempathy-gtk/empathy-account-widget-irc.ui |   97
 ++++++++++++-------------
 2 files changed, 49 insertions(+), 52 deletions(-)

commit d5094b86de3f91cffa950b9456c418ce4d12fd26
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 26 11:58:40 2011 +0200

    release.py: update last_tag_pattern

 release.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e13bdb2c17b2915ab29bc74de5a7584aca4fc471
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 20 16:48:35 2011 +0200

    Don't try to request a Call channel if built without Call support

    https://bugzilla.gnome.org/show_bug.cgi?id=659594

 libempathy-gtk/empathy-call-utils.c |   35
 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit b6b5e35d96ac4d2bc2cb070d2bb0613992008f5d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 20 16:40:03 2011 +0200

    Factor out call_new_with_streams()

    https://bugzilla.gnome.org/show_bug.cgi?id=659594

 libempathy-gtk/empathy-call-utils.c |   27 ++++++++++++++++++++++-----
 1 files changed, 22 insertions(+), 5 deletions(-)

commit 09ccdc338176ede800dc7891129356e7232eb7d9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 22 14:36:04 2011 +0200

    contact-widget: left align status label

    It's already done that way in individual-widget.

    https://bugzilla.gnome.org/show_bug.cgi?id=659816

 libempathy-gtk/empathy-contact-widget.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 55ae021ffe4105298ea910958bb3fff0bd359a91
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 26 11:51:46 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14e27ac3b5c7f66c0d2cf3145cb844ae0fe04827
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 26 11:35:05 2011 +0200

    prepare 3.2.0

 NEWS         |   37 +++++++++++++++++++++++++++++++++++++
 configure.ac |    6 +++---
 2 files changed, 40 insertions(+), 3 deletions(-)

commit 51a92400e58f0c50d9fb11f73c112dadbb19e846
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Sep 26 02:00:43 2011 +0200

    Update Czech translation

 po/cs.po |  340
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 165 insertions(+), 175 deletions(-)

commit 60ae41e9f3cfb8b6c8029355cf43a7c8f5b9f615
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Sun Sep 25 23:33:05 2011 +0200

    Updated Aragonese translation

 po/an.po | 1847
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 887 insertions(+), 960 deletions(-)

commit a803e201218f99e23fae5a9e832d77ecddecfb0b
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Sep 25 23:22:21 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 2282
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1439 insertions(+), 843 deletions(-)

commit 70f2d7286efd9a2f787da2d52e8951ee3e27c7af
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Sun Sep 25 15:15:03 2011 -0600

    Updated Irish translation

 po/ga.po | 4221
 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 3164 insertions(+), 1057 deletions(-)

commit 9372fe19e6226164996d5b0264cf3ed0a49aef71
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 25 18:01:19 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  300
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 150 insertions(+), 150 deletions(-)

commit 28fabbbc91afd5dc11b90408bde29c5eb1e1965f
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Sep 25 14:08:28 2011 +0700

    Updated Indonesian translation

 po/id.po |  559
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 304 insertions(+), 255 deletions(-)

commit d06a61319a9381f1fec90c11739cc64385c905d4
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Sep 25 14:32:22 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  357
 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  359
 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 367 insertions(+), 349 deletions(-)

commit 5b51448f6f77f32aa9f63a43a9ca65c04624e92d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 24 16:23:55 2011 +0200

    Updated Basque language

 po/eu.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 7939dd3c80d83658b7e80defe4020f80e3db59f4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 24 16:22:40 2011 +0200

    Updated Basque language

 po/eu.po | 2292
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1481 insertions(+), 811 deletions(-)

commit 6188c50640417c33ed5a6c939f5aa7ca5c6f692b
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 24 07:31:54 2011 +0900

    Updated Korean translation

 po/ko.po | 2193
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1396 insertions(+), 797 deletions(-)

commit 1e8c8193c24572d664d7db85b4fe8a9990acaaca
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Fri Sep 23 18:48:26 2011 +0200

    Updated Aragonese translation

 po/an.po | 2094
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 1302 insertions(+), 792 deletions(-)

commit da60b5a2da186bc0822ae7cd9ff0707f9acf298e
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Fri Sep 23 13:19:47 2011 +0200

    glade: move IRC's expander to the vbox instead of the table

 libempathy-gtk/empathy-account-widget-irc.ui |  298
 +++++++++++++++-----------
 1 files changed, 168 insertions(+), 130 deletions(-)

commit 06d4bc3914b8800fb75b9eff3a634652a48c1d6f
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Fri Sep 23 11:50:36 2011 +0200

    Glade: GtkGrid does not have n-rows and n-columns properties as
    GtkTable

    https://bugzilla.gnome.org/show_bug.cgi?id=646630

 libempathy-gtk/empathy-account-widget-jabber.ui |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit 881df08c3ece6a8a439f7fe4bfff027a3ef21ece
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Fri Sep 23 11:54:21 2011 +0200

    Glade: fix sizing in SIP accounts widget

    https://bugzilla.gnome.org/show_bug.cgi?id=646630

 libempathy-gtk/empathy-account-widget-sip.ui |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit eb441ce39e8c2f26c46c37d69e6b5c7df185719c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 23 07:58:35 2011 +0300

    Updated Hebrew translation.

 po/he.po |  375
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 198 insertions(+), 177 deletions(-)

commit acd487eba116c20d3777b01e2a183691c6f5e8ae
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Fri Sep 23 01:12:18 2011 +0700

    Updated Thai translation.

 po/th.po | 2456
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 1504 insertions(+), 952 deletions(-)

commit 86196dff1d5f90d3733aa2f69f904980119123ee
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Thu Sep 22 14:47:34 2011 +0200

    e-account-widget-jabber: Use GtkGrid instead of GtkTable

    This work around bug #657621

    https://bugzilla.gnome.org/show_bug.cgi?id=646630

 libempathy-gtk/empathy-account-widget-jabber.ui |  126
 +++++++++++++----------
 1 files changed, 71 insertions(+), 55 deletions(-)

commit de497ec186dd52217ba663700893ef58ac2f5502
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Apr 3 11:20:24 2011 -0500

    e-account-widget-jabber: fix sizing issues

    Fix the glade file for sizing issues

    Bug #646630

 libempathy-gtk/empathy-account-widget-jabber.ui |  728
 ++++++++++++-----------
 1 files changed, 381 insertions(+), 347 deletions(-)

commit 1ae8e38a219e02e4f3d9608dc4ad8db2893899f3
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 15:49:48 2011 +0530

    Updated Assamese Translations:bugzilla#659595

 po/as.po |  184
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 184 insertions(+), 0 deletions(-)

commit 6bcae7084705c518ee58dcc95085e4def8828ba9
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 12:11:07 2011 +0200

    Update Assamese translation

 po/as.po | 4384
 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 3089 insertions(+), 1295 deletions(-)

commit be81ac3cba1c7778459af048766cc2a3b58c15f2
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Wed Sep 21 23:37:18 2011 +0200

    Updated Dutch translation by Hannie Dumoleyn

 po/nl.po |  428
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 227 insertions(+), 201 deletions(-)

commit e287d2d02399266719b5ff3af1dc2e544ee93216
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 13:14:28 2011 +0200

    Updated Hungarian help translation

 help/hu/hu.po |  389
 ++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 246 insertions(+), 143 deletions(-)

commit e3598826ad6ede2f72fbee91c528e621f6dce926
Merge: f9c3f78 3783932
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Sep 21 08:32:59 2011 +1000

    Merge branch 'crash-659118'

    Freeze exception signed off by Andre Klapper <ak-47@gmx.net> and
    Matthias Clasen <matthias.clasen@gmail.com>

commit f9c3f78251f24515f8c667142d278641b608e260
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 20 21:39:12 2011 +0200

    Updated Serbian translation

 po/sr.po       | 2634
 +++++++++++++++++++++++++++++++++++---------------------
 po/sr@latin.po | 2622
 +++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 3288 insertions(+), 1968 deletions(-)

commit dafc6771e4d4c2f4b0c8355a0e10c2bc1222b216
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:06:03 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1631
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 915 insertions(+), 716 deletions(-)

commit 378393285bb5de21c4da85b2e64e044faef6f5b6
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Sep 20 16:32:33 2011 +1000

    Don't destroy MainWindow on delete-event, just hide it

    This stops MainWindow being unreferenced, and prevents crashes
    caused by
    things which then try to use it.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=659118

 src/empathy-main-window.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1f03b12e756b3751a3a726464c2f254160b0470b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Sep 19 23:45:30 2011 +0200

    Updated Hungarian translation

 po/hu.po | 1451
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 802 insertions(+), 649 deletions(-)

commit 150f8482a6491090bbb0b48408c81221f791ae86
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Sep 19 22:23:24 2011 +0300

    Updated Latvian translation.

 po/lv.po |   57 ++++++++++++++++++++++++++-------------------------------
 1 files changed, 26 insertions(+), 31 deletions(-)

commit 0d24698c022b0050a6fbcd2803c93b12e8b9756a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Sep 17 00:48:46 2011 -0400

    log-window: improve icons in the search entry

    There are a few improvements we can make to the search entry icons in
    the log window, which this patch tries to fix.
    - icons in entries are usually symbolic in GNOME 3, so I made
    the icons
      symbolic.
    - I merged the two icons in just one on the right using the
    shell-style,
      i.e. the search icon turns into a clear action once there's
      some text
      typed into the entry (Documents also uses the same style for its
      search entry).

    https://bugzilla.gnome.org/show_bug.cgi?id=659298

 libempathy-gtk/empathy-log-window.c |   27 +++++++++++++++++++++++----
 1 files changed, 23 insertions(+), 4 deletions(-)

commit 7323ce34c1228d04cfe3503eb818b8fac7fd4a2c
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Sep 19 19:45:07 2011 +0200

    Updated Czech translation

 po/cs.po |  290
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 159 insertions(+), 131 deletions(-)

commit 2162f28a72c3f9ad6c9309fa17952cf85e14b8ac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 16:51:33 2011 +0200

    remove release flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9830714434c0b2ff8679de2daa68d3aab6f09cc8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 16:38:43 2011 +0200

    coding style fix

 libempathy-gtk/empathy-chat.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 768efa64b2986ffe6e394a7f58262f44e6e2fc99
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 16:20:30 2011 +0200

    prepare 3.1.92

 NEWS         |   78
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    4 +-
 2 files changed, 80 insertions(+), 2 deletions(-)

commit aaff7e95f9dd66f94a3b85e910b049daf9097a0c
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Sep 19 15:09:57 2011 +0100

    Use always-writeable and writeable-properties for alias and groups

    Folks is in the way of deprecating the
    folks_persona_store_get_can_{alias,group}_personas methods in favour
    of directly checking alias and groups properties via
    folks_persona_store_get_always_writeable_properties and
    folks_persona_get_writeable_properties.

 libempathy-gtk/empathy-individual-menu.c |    5 +-
 libempathy/empathy-utils.c               |   94
 ++++++++++++++++++++++++------
 libempathy/empathy-utils.h               |    6 +-
 3 files changed, 83 insertions(+), 22 deletions(-)

commit ccd55bf7585624f1aab05525444449c44310d642
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Mon Sep 19 15:56:49 2011 +0200

    EmpathyChat: Set slider position after a timeout

    This ensure that the window has resized before setting the position
    because GtkPaned needs to know its size allocation

    https://bugzilla.gnome.org/show_bug.cgi?id=632357

 libempathy-gtk/empathy-chat.c |   45
 ++++++++++++++++++++++++++--------------
 1 files changed, 29 insertions(+), 16 deletions(-)

commit 4a6debbdd20ae45b7f5653f2374b0980545ba753
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Mon Sep 19 13:13:49 2011 +0100

    Updated British English translation

 po/en_GB.po |  291
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 156 insertions(+), 135 deletions(-)

commit be57ef773c5d24c921c586eba75cdd73db23223f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 13:50:59 2011 +0200

    Don't assume a connected TpAccount always have a TpConnection

    The connection object may not be there yet if tp-glib is still
    preparing its
    features.

    https://bugzilla.gnome.org/show_bug.cgi?id=659439

 src/empathy.c |   21 +++++++--------------
 1 files changed, 7 insertions(+), 14 deletions(-)

commit 5ca677e8864ed07d51b243beb9f5fd6a111d305e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Mon Sep 19 12:51:55 2011 +0100

    Build fix

 src/empathy-call-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a3086b1cb486653391d90e34539fe9277b4d2d08
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Thu Sep 8 15:17:24 2011 +0100

    CallWindow: unconditionally connect to notify::call-channel

    Since we can get a new call channel if we e.g. hangup and
    then call again.

    https://bugzilla.gnome.org/show_bug.cgi?id=655356

 src/empathy-call-window.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit add501b302cc0d35936417997c861ae274f2803d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Thu Sep 8 15:12:24 2011 +0100

    CallWindow: emit tones using MultipleTones

    https://bugzilla.gnome.org/show_bug.cgi?id=655356

 src/empathy-call-window.c |   84
 ++++++++++++++++++++++++++++++++++++--------
 1 files changed, 68 insertions(+), 16 deletions(-)

commit e79a44f083fe138ab9e8b1fe04196e19b8a0cce8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 12:18:44 2011 +0200

    Use tp_proxy_prepare_async instead of tp_account_prepare_async

 src/empathy-accounts-dialog.c |    4 ++--
 src/empathy-accounts.c        |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 6670167794afb834c87fa7bae7286567b7a84cb3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 19 12:18:44 2011 +0200

    Use tp_proxy_prepare_async instead of tp_account_manager_prepare_async

 libempathy-gtk/empathy-account-chooser.c  |    4 ++--
 libempathy-gtk/empathy-account-widget.c   |    4 ++--
 libempathy-gtk/empathy-chat.c             |    4 ++--
 libempathy-gtk/empathy-location-manager.c |    8 ++++----
 libempathy-gtk/empathy-notify-manager.c   |    4 ++--
 libempathy-gtk/empathy-presence-chooser.c |    4 ++--
 libempathy/empathy-account-settings.c     |    4 ++--
 libempathy/empathy-chatroom-manager.c     |    4 ++--
 libempathy/empathy-contact-manager.c      |    4 ++--
 libempathy/empathy-presence-manager.c     |    4 ++--
 src/empathy-account-assistant.c           |    4 ++--
 src/empathy-accounts-dialog.c             |    4 ++--
 src/empathy-accounts.c                    |    4 ++--
 src/empathy-import-widget.c               |    4 ++--
 src/empathy-main-window.c                 |    4 ++--
 src/empathy-migrate-butterfly-logs.c      |    4 ++--
 src/empathy-status-icon.c                 |    4 ++--
 src/empathy.c                             |   10 +++++-----
 18 files changed, 41 insertions(+), 41 deletions(-)

commit e832dfa825bd284600ffa28d2a9180d96c7024a5
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Sun Sep 18 12:11:06 2011 +0200

    Sync with the current GSettings schemas install rule from gsettings.m4
    in glib. See #627126 for details.

    This allows to properly install gsettings schemas files on BSDs.

    https://bugzilla.gnome.org/show_bug.cgi?id=659377

 m4/gsettings.m4 |   16 ++--------------
 1 files changed, 2 insertions(+), 14 deletions(-)

commit 8a15d7ddcab9c2379e562e3b72e8ec6b11165d25
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Sep 18 19:32:42 2011 +0200

    Updated Swedish translation

 po/sv.po |  181
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 103 insertions(+), 78 deletions(-)

commit 4729fd834d3b2e518d643875e6b6acbe07fdbcfc
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 18 19:13:43 2011 +0300

    Updated Latvian translation.

 po/lv.po |  408
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 215 insertions(+), 193 deletions(-)

commit 887a1089dc8576da06f50bb22a606e3322de2a82
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Sep 18 19:00:17 2011 +0300

    Updated Turkish translation

 po/tr.po | 2184
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1428 insertions(+), 756 deletions(-)

commit 57fbdc80bfd439d4865855a23ef21f9e434e2810
Author: Jorge González <aloriel@gmail.com>
Date:   Sun Sep 18 17:04:02 2011 +0200

    Updated Spanish translation

 po/es.po |   23 +++++++++++------------
 1 files changed, 11 insertions(+), 12 deletions(-)

commit 128e39f2775c365aa164b2d87a20fa7280da18d5
Author: Jorge González <aloriel@gmail.com>
Date:   Sun Sep 18 16:55:07 2011 +0200

    Updated Spanish translation

 po/es.po |  167
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 98 insertions(+), 69 deletions(-)

commit cd16ab7ec022f007326588f0d280706b618a3f29
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 18 16:23:51 2011 +0200

    [l10n] Updated German translation

 po/de.po |  794
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 438 insertions(+), 356 deletions(-)

commit ef797ff9eba01210d16047e26563b8270ee02081
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Sep 18 16:34:26 2011 +0300

    Updated Lithuanian translation

 po/lt.po |  472
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 253 insertions(+), 219 deletions(-)

commit e819cd86bfacfda9ee936436a4c2e0b207dfcbab
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Sep 18 13:59:43 2011 +0530

    updated Tamil translation

 po/ta.po |  221
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 110 insertions(+), 111 deletions(-)

commit c1b157527522ce7cf83342182f99d93216273f24
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Sep 18 13:55:41 2011 +0530

    updated Tamil translation

 po/ta.po |   80
 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 50 insertions(+), 30 deletions(-)

commit ed7a75cd3de64fe7ceda6fbc97c4b405e4fc7492
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 18 11:00:06 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  158
 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 88 insertions(+), 70 deletions(-)

commit 919a3258cf3757a3653676d08c78709e0dae5f38
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 18 08:58:16 2011 +0530

    update Punjabi Translation

 po/pa.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit efc18ab4f5bfdb068c583f21e49dd98d09563163
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Sep 17 23:46:31 2011 +0300

    Updated Belarusian translation (some fixes after manual testing).

 po/be.po |   96
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 48 insertions(+), 48 deletions(-)

commit 3d3f0ec702c9436e6d85d3c509f1840ccd74fd83
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 18 01:03:16 2011 +0530

    Updated Punjabi Translation

 po/pa.po |  303
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 159 insertions(+), 144 deletions(-)

commit ceeb1b6f003db30a3ef9cfd993fcff884c86d49b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Sep 17 11:37:43 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  181
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 103 insertions(+), 78 deletions(-)

commit 79c35acd819667c5558b7479cb9ff80df0f8b154
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 17 12:34:10 2011 +0400

    Updated Russian translation

 po/ru.po |  387
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 212 insertions(+), 175 deletions(-)

commit 9d2f4c4ca7362b7b87a4f38b979c995b68a5352b
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:48:49 2011 +0900

    Updated Japanese translation

 po/ja.po | 2460
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1596 insertions(+), 864 deletions(-)

commit 27b930e6bdc4331749903a4d6112913660a2c966
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 17 00:55:19 2011 +0100

    Updated Portuguese translation

 po/pt.po | 2226
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1427 insertions(+), 799 deletions(-)

commit 669606a45907443b82915e41e46d2e3d966cc549
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Sep 16 19:04:46 2011 +0200

    [l10n] Updated Italian translation

 po/it.po |  285
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 153 insertions(+), 132 deletions(-)

commit 1ce2aa6b4cf7d049fd3c51784ff447d608cd1084
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 16 14:23:13 2011 +0200

    avatar-chooser: disable 'take picture' button if there is no camera
    connected

    https://bugzilla.gnome.org/show_bug.cgi?id=652985

 libempathy-gtk/empathy-avatar-chooser.c |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit 49f3411a5c414ec1a6a7cf68de9ef7c8c8cb7938
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 16 14:14:17 2011 +0200

    avatar-chooser: split creation of the file chooser dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=652985

 libempathy-gtk/empathy-avatar-chooser.c |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit 7dc159658c022fdd1bd3f05dfa3bdc8c21b88369
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 08:57:18 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  160
 +++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 91 insertions(+), 69 deletions(-)

commit 1049880bd7c7176a8e8c22fcab61006aeaf9911f
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Sep 16 13:41:39 2011 +0200

    Updated Danish translation

 po/da.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 3594bf73250ba466307f01eb95db2eed766998f1
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Sep 16 13:39:23 2011 +0200

    Updated Danish translation

 po/da.po |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit 7d1903a1479461de3f3322bed4df0913271b5f42
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Sep 16 13:32:55 2011 +0200

    Updated Danish translation

 po/da.po | 2256
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1436 insertions(+), 820 deletions(-)

commit 0fab2d22847ee90c06be84bac9935942e39039b1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 16 10:32:18 2011 +0200

    tp-roomlist: pass self as weak object to
    tp_cli_channel_type_room_list_call_list_rooms

    https://bugzilla.gnome.org/show_bug.cgi?id=658909

 libempathy/empathy-tp-roomlist.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3ac85477f053b98531e1b295c498b41659ab0eb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 16 10:26:42 2011 +0200

    tp-roomlist: ensure that we stay alive during the
    create_and_handle_channel async call

    https://bugzilla.gnome.org/show_bug.cgi?id=658909

 libempathy/empathy-tp-roomlist.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 708aa24958f0e211f8582e3662b149f4ddb1305b
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Sep 15 23:40:06 2011 +0200

    Updated French translation

 po/fr.po | 2253
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1435 insertions(+), 818 deletions(-)

commit 972b917c9e2ddcac86d7b9f7799158f77f5aedbf
Author: Fran Dieguez <fran@openhost.es>
Date:   Thu Sep 15 21:02:33 2011 +0200

    Updated Galician translations

 po/gl.po |  157
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 89 insertions(+), 68 deletions(-)

commit fd0437bd1669e2d1992c2f36884003d60686dca9
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Thu Sep 15 19:25:39 2011 +0300

    Updated Belarusian translation.

 po/be.po |  142
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 81 insertions(+), 61 deletions(-)

commit c74b2a54f8f53dddf5b2c0b6c3ed2427e54b1f90
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 15 15:32:12 2011 +0200

    Updated Polish translation

 po/pl.po |  142
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 81 insertions(+), 61 deletions(-)

commit e3327f1e82fbf9c386bbb0cc07a87d47ad89d6fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 15 15:13:07 2011 +0200

    log-window: fix translators comment

    https://bugzilla.gnome.org/show_bug.cgi?id=659141

 libempathy-gtk/empathy-log-window.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 63ad9ebf15467a134ab044969faecbf3f4a2a758
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 15 15:06:19 2011 +0200

    log-window: properly translate duration strings

    https://bugzilla.gnome.org/show_bug.cgi?id=659141

 libempathy-gtk/empathy-log-window.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 051beb6158c98cd2aa6c7219fc3c94a7eb3ae7b0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 09:26:50 2011 +0200

    Disable contact and contact list search when disconnected

    https://bugzilla.gnome.org/show_bug.cgi?id=655270

 src/empathy-main-window.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 7bd81c09f38bc0d4672e0674b00851be3fce7b39
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Sep 15 18:31:48 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  616
 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po |  619
 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 653 insertions(+), 582 deletions(-)

commit 87f3753ef09050949f28ecdc8272579cb9225641
Merge: 4c7ee0a 42ea425
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 15 11:53:46 2011 +0200

    Merge remote-tracking branch 'pochu/call-reuse-windows-580794'

commit 4c7ee0a436cea45e4351e857577ddf944d36b2f3
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Sep 14 15:40:44 2011 -0400

    Remove unused variables [-Werror=unused-but-set-variable]

    https://bugzilla.gnome.org/show_bug.cgi?id=658650

 libempathy-gtk/empathy-contact-list-store.c |    2 --
 libempathy-gtk/empathy-individual-store.c   |    2 --
 2 files changed, 0 insertions(+), 4 deletions(-)

commit e5eefe62e3fc0d0b9c1df569489ab13f76e00a59
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 13 15:45:19 2011 +0200

    contact-list-store: store GtkTreeIter rather than GtkTreeRowReference
    in the cache

    GtkTreeRowReference keeps a ref on the store introducing a ref cycle.

    https://bugzilla.gnome.org/show_bug.cgi?id=658650

 libempathy-gtk/empathy-contact-list-store.c |   79
 +++++++--------------------
 1 files changed, 20 insertions(+), 59 deletions(-)

commit 7561e27e705ff2df727a96016f57a60e3d0e0376
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 13 15:45:19 2011 +0200

    individual-store: store GtkTreeIter rather than GtkTreeRowReference
    in the cache

    GtkTreeRowReference keeps a ref on the store introducing a ref cycle.

    https://bugzilla.gnome.org/show_bug.cgi?id=658650

 libempathy-gtk/empathy-individual-store.c |   85
 +++++++----------------------
 1 files changed, 21 insertions(+), 64 deletions(-)

commit 0cfae9679043ad56e28677b2333ffbe8a5e7d3df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 14 12:04:07 2011 +0200

    goa-mc-plugin: do not set the ConnectAutomatically Account property

    GOA accounts should behave like regular TP accounts and so shouldn't
    connect
    automatically.

    https://bugzilla.gnome.org/show_bug.cgi?id=658785

 goa-mc-plugin/mcp-account-manager-goa.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit dc761ca9d13c3f242e06cd4756f3e448a2e3c030
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Thu Sep 15 08:18:30 2011 +0300

    Updated Bulgarian translation

 po/bg.po | 2156
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1376 insertions(+), 780 deletions(-)

commit 48b1f9b7296429dca020545095f1e370793a0df1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Sep 14 21:58:55 2011 +0300

    Updated Belarusian translation.

 po/be.po |  277
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 146 insertions(+), 131 deletions(-)

commit 6ac4e08359a3d5c33e2f38dcd0129b5180810bba
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 14 16:43:25 2011 +0200

    sasl-handler: only save password if we manage to connect

    https://bugzilla.gnome.org/show_bug.cgi?id=659053

 libempathy/empathy-server-sasl-handler.c |   56
 ++++++++++++++++++------------
 1 files changed, 34 insertions(+), 22 deletions(-)

commit ba16c4a15b9977e61461bd9f222104eaa2204ee3
Author: Cosimo Alfarano <cosimo.alfarano@collabora.com>
Date:   Tue Sep 13 14:35:55 2011 +0100

    Update Collabora copyright in About Window

 src/empathy-about-dialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9219415733151bc6d48d88bacf19cdad647a6c69
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 13 12:17:50 2011 +0200

    GOA plugin: only save parameters from GOA accounts

    We should let MC deal with normal accounts.

    https://bugzilla.gnome.org/show_bug.cgi?id=658895

 goa-mc-plugin/mcp-account-manager-goa.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit b981b3d1a13e22c80c21b61131c4f07053840149
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 14 13:26:42 2011 +0530

    hindi update

 po/hi.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ff653a8bf28b71c883881bec14e31defb9d54123
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 14 13:25:25 2011 +0530

    hindi update

 po/hi.po |  406
 ++++++++++++++++++++++----------------------------------------
 1 files changed, 143 insertions(+), 263 deletions(-)

commit a18fc91fb327a2b0c4d37d51b575e18a6f3070f4
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 14 11:30:50 2011 +0530

    hindi update

 po/hi.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 715a87d3400b16ffe636b92de1fdd25ec22ea56a
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 14 11:29:19 2011 +0530

    hindi update

 po/hi.po | 2751
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 1711 insertions(+), 1040 deletions(-)

commit e84794239a4c2a89b4381fdaf1cb3104d0ad9773
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 13 20:55:49 2011 +0200

    Updated Polish translation

 po/pl.po |  133
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 68 insertions(+), 65 deletions(-)

commit a0ef67f006e0dee00ed1bc6f22323aad2ea3d39d
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 13 19:39:12 2011 +0530

    updated Tamil translation

 po/ta.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aa12b7ccf9887e0901dd8464be1200381e8413b9
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 13 19:38:14 2011 +0530

    updated Tamil translation

 po/ta.po |  304
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 164 insertions(+), 140 deletions(-)

commit 40bf91b05f4d3408e195b4a1218de673d6ee7fbf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Sep 12 16:52:34 2011 -0400

    individual-widget: use GtkGrid instead of GtkTable internally

    EmpathyIndividualWidget (used both in the contact information dialogs
    and in the tooltips) use a GtkTable internally to layout contact
    details.

    GtkTable is being deprecated, and does not correctly support
    width-for-height size negotiation. So, there are cases where we get
    funny overallocations bugs for wrapping GtkLabels; this is especially
    annoying for tooltips, as they tend to grow huge vertically.

    Porting the code to use a better container such as GtkGrid solves the
    bug. This patch does not cover all the use of GtkTable in
    EmpathyIndividualWidget, but enough to fix the tooltip sizing.

    https://bugzilla.gnome.org/show_bug.cgi?id=658857

 libempathy-gtk/empathy-individual-widget.c |  243
 ++++++++++++++--------------
 1 files changed, 118 insertions(+), 125 deletions(-)

commit 0a3f996d2ec2eed860edda7c36a9b6bdbd9d2722
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Sep 9 15:28:42 2011 +0100

    AccountChooser: don't return garbage from _set_account

    Previously, the 'set' field of the stack-allocated 'data' structure
    was
    not initialized. It's explicitly set to TRUE if the account is found,
    but never otherwise set; so if the account is not found, this function
    returned random garbage.

    Reviewed-by: Xavier Claessens <xclaesse@gmail.com>

 libempathy-gtk/empathy-account-chooser.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 80a217a0b8533f8f936140082b90da793bc1b154
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 13 10:24:48 2011 +0200

    notifications-approver: move translators comment right before
    the string

    Comments have to be on the line just before the string to be picked by
    gettext.

    https://bugzilla.gnome.org/show_bug.cgi?id=658866

 src/empathy-notifications-approver.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 2a856251402a5ed06a5f9853b7b26abfcbf5eb3c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 12 16:58:46 2011 +0200

    theme-adium: ensure we always use the same color when sending messages

    https://bugzilla.gnome.org/show_bug.cgi?id=658821

 libempathy-gtk/empathy-theme-adium.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 36211fc1a6e977c82e1f6467691a499fe6b68410
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 12 16:10:13 2011 +0200

    rename text/{persona,individual}-id as they are not standard

    https://bugzilla.gnome.org/show_bug.cgi?id=648315

 libempathy-gtk/empathy-individual-linker.c |    2 +-
 libempathy-gtk/empathy-individual-view.c   |    8 ++++----
 libempathy-gtk/empathy-persona-view.c      |    6 +++---
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 656e9addef5ab7c5d3dc21fc0c502a15fc94331e
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 12:58:53 2011 +0800

    update Simplified Chinese (zh_CN) translation; fix format

 po/zh_CN.po | 1208
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 634 insertions(+), 574 deletions(-)

commit dafc0ff233c2d02c607bb6ee67e714ba698319fc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 29 20:43:22 2011 +0100

    individual-manager: Port to the new individuals_changed_detailed
    signal

    Closes: bgo#657746

 configure.ac                            |    2 +-
 libempathy/empathy-individual-manager.c |   35
 +++++++++++++++++++++++--------
 2 files changed, 27 insertions(+), 10 deletions(-)

commit 03eeddb4c836614b2bf1f935472bd66c98003aa1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Sep 12 20:50:33 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  256
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 132 insertions(+), 124 deletions(-)

commit e872c255f2145985a0f881d68b247a221338fdb3
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Sep 12 17:55:01 2011 +0200

    Updated Swedish translation

 po/sv.po |  292
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 152 insertions(+), 140 deletions(-)

commit 5b8d5406a2096aaa9d84f79c115464eb190d0830
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 12 15:15:07 2011 +0200

    individual-manager: dup the Individual ID instead of borrowing it

    It's not immutable any more so we have to copy the string.

    https://bugzilla.gnome.org/show_bug.cgi?id=658573

 libempathy/empathy-individual-manager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f0ca128096983de9df36d0fa981a0c3dcdaf5c99
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Sep 12 00:41:08 2011 +0300

    Updated Latvian translation.

 po/lv.po | 1699
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 914 insertions(+), 785 deletions(-)

commit 3b2e8219315d0fd6b108eb12f1be5ae099a2a88f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 11 11:47:52 2011 +0200

    Updated Spanish translation

 po/es.po |  128
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 63 insertions(+), 65 deletions(-)

commit 74063b2c0a809709865a81dfa38915a97f427219
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 10 11:12:19 2011 +0200

    Updated Spanish translation

 po/es.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit aa064bdc58a5a897583367f7234c067f4e634a66
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 10 10:49:12 2011 +0200

    Updated Spanish translation

 po/es.po |  149
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 80 insertions(+), 69 deletions(-)

commit 736ce66f04aec5531ebdc7c8f649f162c4c898d1
Author: Fran Dieguez <fran@openhost.es>
Date:   Sat Sep 10 03:36:36 2011 +0200

    Updated galician translations

 po/gl.po |  262
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 137 insertions(+), 125 deletions(-)

commit 1b9ddda224af418ca0f1de9d9743bc8327efc337
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Sep 9 22:21:30 2011 +0200

    Updated Czech translation

 po/cs.po |  165
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 81 insertions(+), 84 deletions(-)

commit a537a927a4b1af4468c57a9307ca3468a5e52838
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Fri Sep 9 18:38:57 2011 +0200

    Updated Dutch translation by Hannie Dumoleyn

 po/nl.po |  294
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 156 insertions(+), 138 deletions(-)

commit fefa9b3c72bdbf01277a606816fc15ac53ee780a
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Sep 9 20:06:20 2011 +0530

    update PunjabiTranslation

 po/pa.po | 1127
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 597 insertions(+), 530 deletions(-)

commit 6939a5c3d045b1915d06539f96d758dfa22318e8
Author: Fran Dieguez <fran@openhost.es>
Date:   Fri Sep 9 14:54:49 2011 +0200

    Updated galician translations for docs

 help/gl/gl.po | 4624
 +++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 3492 insertions(+), 1132 deletions(-)

commit a5dfe754e2d7aa6a57f455c9a569c4f185466348
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 9 08:37:19 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  298
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 160 insertions(+), 138 deletions(-)

commit c785ff79365fb91a41e38458ae6ea5cf02cbaa8f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 9 13:45:31 2011 +0200

    dup_color_balance: check that element currently implements
    GstColorBalance

    https://bugzilla.gnome.org/show_bug.cgi?id=658584

 src/empathy-video-src.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 890efc4f52b81bf90fb5d130124d68fe071abc3f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 9 13:39:44 2011 +0200

    video-src: factor out dup_color_balance()

    https://bugzilla.gnome.org/show_bug.cgi?id=658584

 src/empathy-video-src.c |   47
 +++++++++++++++++++++++------------------------
 1 files changed, 23 insertions(+), 24 deletions(-)

commit 3dd675c21527cabb74cd9b4301ea82324e0f17b6
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Fri Sep 9 12:29:35 2011 +0200

    Because we like whales

 libempathy-gtk/empathy-chat.c |   45
 +++++++++++++++++++++++++++++++++++++++-
 1 files changed, 43 insertions(+), 2 deletions(-)

commit 56f569b22192230080eb6c20d0d5474fa7e47086
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 9 12:51:33 2011 +0200

    individual_store_remove_individual: ensure that the store stays
    alive during the process

    https://bugzilla.gnome.org/show_bug.cgi?id=658644

 libempathy-gtk/empathy-individual-store.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 683c88254e5488ef7b0d8d0e0fd05f46c41f5914
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 9 12:49:46 2011 +0200

    contact_list_store_remove_contact: ensure that the store stays alive
    during the process

    https://bugzilla.gnome.org/show_bug.cgi?id=658644

 libempathy-gtk/empathy-contact-list-store.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit c4051a34512dd7daeca7f1fa2e84d5d05805601a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Fri Sep 9 11:48:05 2011 +0100

    Require Clutter 1.7 for empathy-call

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e8232dec177feb06147149ebb9f16a7de9804351
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 9 13:04:47 2011 +0300

    Updated Hebrew translation.

 po/he.po |  550
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 300 insertions(+), 250 deletions(-)

commit e2d79382597aa0e866694a810b83cdce0ebc593f
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 8 22:33:24 2011 +0200

    [l10n] Updated Italian translation

 po/it.po | 2205
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1398 insertions(+), 807 deletions(-)

commit 188b5e8d6f9896326ed0530fb2294b9b12a215ae
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 21:54:07 2011 +0200

    Updated Polish translation

 po/pl.po | 2162
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1370 insertions(+), 792 deletions(-)

commit af574cb3638d7be10b79fdfd86313f5a1428047b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Thu Sep 8 16:28:01 2011 +0100

    Added British English translation

 po/en_GB.po | 2259
 +++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1420 insertions(+), 839 deletions(-)

commit ad119467cf50c8437a62ba6e6f483eb9032771a9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 8 17:02:44 2011 +0200

    factor out empathy_get_tp_contact_for_individual

 libempathy/empathy-utils.c              |   38
 +++++++++++++++++++++++++++++++
 libempathy/empathy-utils.h              |    3 ++
 src/empathy-invite-participant-dialog.c |   32 ++-----------------------
 3 files changed, 44 insertions(+), 29 deletions(-)

commit c8b29cfe85216cc692cc7e95c969e3678c153d72
Merge: 777e9d3 cbb85fe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 8 13:15:53 2011 +0100

    Merge branch '657335-Preferences-Calls-Tab'

commit 777e9d330ae950e5cc89f757317fde4e96762363
Author: Jussi Kukkonen <jku@linux.intel.com>
Date:   Tue Sep 6 11:50:35 2011 +0300

    log-window: sort "Who" list store alphabetically

    Currently "Who"-list is sorted with "g_strcmp0 (name)" which
    is not what we want (e.g. "Chris" becomes before "bob" because of
    the initial capital letter).

    Start sorting using g_utf8_collate_key().

    https://bugzilla.gnome.org/show_bug.cgi?id=658336

 libempathy-gtk/empathy-log-window.c |   38
 ++++++++++++++++++++++++----------
 1 files changed, 27 insertions(+), 11 deletions(-)

commit 42ea425116ef9c079fa199039e3ac5ed0bb8e150
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Mon Jul 11 12:45:25 2011 +0100

    CallWindow: explain call states

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-window.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 309ca0453965d145bfeec6d9a497330833c76b7b
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Tue Sep 6 12:00:31 2011 +0100

    Resize the hangup button in ::realize

    So that it's not resized many times.

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-window.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 3f30f0aac8ec4f21acb84e4b5b9afa6acd131b99
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Wed Sep 7 13:19:24 2011 +0100

    CallWindow: display a dialog to accept or reject incoming calls

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-window.c |   72
 ++++++++++++++++++++++++++++++++++++--------
 1 files changed, 59 insertions(+), 13 deletions(-)

commit ee02c5c89132db72e5cd987cd443cd09202b6f5b
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Wed Sep 7 15:54:29 2011 +0100

    Let the existing call window know about new incoming calls

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-window.c |   62
 +++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-call.c        |   38 +++++++++++++++++++++++++++
 2 files changed, 100 insertions(+), 0 deletions(-)

commit d5136f90339362d53d780700808dc055fc0a7121
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Fri Jul 8 12:46:33 2011 +0100

    Reuse Call windows when possible

    If we have a call window opened for a contact and we get an
    incoming call from the same person, use the existing window
    instead of creating another one.

    Based on a patch from Jonathan Tellier.

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-window.c |   47
 +++++++++++++++++++++++++++++++++-----------
 src/empathy-call-window.h |    6 +++++
 src/empathy-call.c        |   43 +++++++++++++++++++++++++++++++++++-----
 3 files changed, 78 insertions(+), 18 deletions(-)

commit 44731ebba06458462f5c26fed8fd0abab30e7450
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Mon Jul 18 17:07:45 2011 +0100

    Make EmpathyCallFactory an approver

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-factory.c |   98
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 98 insertions(+), 0 deletions(-)

commit 391bad3cd5545b504fd69563b3bb598320c4957d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Mon Jul 18 16:28:36 2011 +0100

    CallFactory: make it a TpBaseClient subclass

    So that we can make it both a handler and an observer at the
    same time.

    https://bugzilla.gnome.org/show_bug.cgi?id=580794

 src/empathy-call-factory.c |  106
 +++++++++++++++-----------------------------
 src/empathy-call-factory.h |    5 +-
 2 files changed, 38 insertions(+), 73 deletions(-)

commit 180787f1addccd923d50b45858ba24a0487e98bc
Author: Timo Jyrinki <timo@debian.org>
Date:   Thu Sep 8 13:41:45 2011 +0300

    Update Finnish translation

 po/fi.po | 2969
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1901 insertions(+), 1068 deletions(-)

commit 48ac7cb1cb93bb1e0f94db7160f13da5342aa704
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 8 10:55:28 2011 +0200

    Updated Czech translation

 po/cs.po | 1507
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 821 insertions(+), 686 deletions(-)

commit 77cd4e037d3bc5a91b408d8ed5b22c1cf29718c9
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Sep 8 10:09:08 2011 +0400

    Updated Russian translation

 po/ru.po |  189
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 100 insertions(+), 89 deletions(-)

commit fd43479df7b581f4406054d1573c393523eae320
Author: Xandru Armesto <xandru@softastur.org>
Date:   Wed Sep 7 17:36:13 2011 +0200

    Updated asturian translation

 po/ast.po | 3043
 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 2034 insertions(+), 1009 deletions(-)

commit 508b8346cb1f840ddb35a367d4a3d38b7b9271eb
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 7 20:58:11 2011 +0700

    Updated Indonesian translation

 po/id.po | 1067
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 544 insertions(+), 523 deletions(-)

commit a9eb911ea875ce7e9a1c43fe76ddc77811887a60
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 7 12:05:52 2011 +0200

    update_geocode: don't try to get position if location is empty

    geocode-glib won't be able to much if contact's location dict
    is empty.

 libempathy/empathy-contact.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ab9ee7fa8f55743968169bdaef7515a7ed52eef8
Author: Fran Dieguez <fran@openhost.es>
Date:   Wed Sep 7 02:34:25 2011 +0200

    Updated galician translations

 po/gl.po |   47 +++++++++++++++++++++++++++++------------------
 1 files changed, 29 insertions(+), 18 deletions(-)

commit 2903da2d9daa7ab3bf26eea250a612501594d3d8
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Sep 7 01:40:08 2011 +0300

    Updated Belarusian translation.

 po/be.po |   44 +++++++++++++++++++++++++++-----------------
 1 files changed, 27 insertions(+), 17 deletions(-)

commit 0cd4f036ea16c9232e5bfd5b25cd5265d9ccd692
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Sep 6 21:53:02 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  102
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 56 insertions(+), 46 deletions(-)

commit c748ade7736f4ff27b912214ba54c0d6ee78162d
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Sep 6 20:56:36 2011 +0200

    [l10n] Updated German doc translation

 help/de/de.po |  917
 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 470 insertions(+), 447 deletions(-)

commit 2365a93233ce5750a0fe3d810ac2d65f602f1564
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Sep 6 20:04:21 2011 +0200

    Updated Spanish translation

 po/es.po |  182
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 97 insertions(+), 85 deletions(-)

commit 4c56f91672941396112202617345b1b0445c29e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Sep 6 11:25:26 2011 +0100

    ContactSelector: mark standard action as the default.

    This allows Gtk+ to style the button differently to indicate that it
    will be pressed when the user hits Enter; it also fixes hitting
    enter in
    the New Conversation dialog, which does not consider
    GTK_RESPONSE_ACCEPT
    to be a reasonable response and ignores it. So we get a bug fix and
    better styling in exchange for less code!

    https://bugzilla.gnome.org/show_bug.cgi?id=658343

 libempathy-gtk/empathy-contact-selector-dialog.c |   21
 +++++----------------
 1 files changed, 5 insertions(+), 16 deletions(-)

commit 36ef8807996629af42cec57fdb2adf4799b1cba4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Sep 6 11:06:30 2011 +0100

    IndividualManager: disconnect handler from aggregator

    Previously, the handler for
    FolksIndividualAggregator::individuals-changed was never disconnected;
    thus it could be called after EmpathyIndividualManager dies (if its
    aggregator outlives it), and crash us.

    https://bugzilla.gnome.org/show_bug.cgi?id=658340

 libempathy/empathy-individual-manager.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f05b344066594fc4acd07865b70a6865d599c5d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 18:55:34 2011 +0200

    use champlain 0.12

    https://bugzilla.gnome.org/show_bug.cgi?id=658341

 configure.ac |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 4ed88cebf36575508f7eb7931b9f46b8f661a60e
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Wed Aug 31 15:13:33 2011 +0200

    import: prevent haze to be used for irc

    Prevent haze to be used for irc even if sole connection
    manager to support it.
    Reworked by Guillaume Desmottes <gdesmott@gnome.org> .

    https://bugzilla.gnome.org/show_bug.cgi?id=657818

 src/empathy-import-utils.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 905dec95625ac420b3fc2914b5d365a89e5b70f8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 18:18:05 2011 +0200

    individual-store: use Folks directly to watch is-favourite changes

    We already use it to check if a contact is in favourite or not.
    The contact manager should probably be killed at some point any way.

 libempathy-gtk/empathy-individual-store.c |   38
 +++++++++++++---------------
 1 files changed, 18 insertions(+), 20 deletions(-)

commit cbb85fe9590befd0b020b8dbf77233d32c906e42
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Sep 6 11:49:05 2011 +0100

    Preferences: explain what echo cancellation means

 src/empathy-preferences.ui |   43
 ++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 42 insertions(+), 1 deletions(-)

commit bb6e00b22a1c7ee318e701d3780338d13be7e9e5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 6 17:35:53 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0f2e15e0a3e294e47eec19659c0a02582e2198fb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Sep 6 15:52:34 2011 +0100

    TpChat: don't crash with broken TpProperties implementations

    I forgot to take the Telepathy.Properties interface out of Gabble
    when I
    removed Telepathy.Properties support from it. So Empathy called
    ListProperties() on it anyway: fine, you might think, except the
    callback set priv->had_properties_list to TRUE even if the method
    returned an error. empathy_tp_chat_set_property() and
    empathy_tp_chat_get_property() assume that if
    priv->had_properties_list is
    TRUE, priv->properties is not NULL.

    While I hope that we can delete this code entirely pretty soon,
    getting
    this crash fix in seems like a good idea.

    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 libempathy/empathy-tp-chat.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2f334ccf04bdd42251132b5216859fd9d22ed100
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Aug 25 16:03:37 2011 +0100

    Preferences: reindent .ui file for Theme tab

    There are no XML changes in this commit, just indentation changes.

 src/empathy-preferences.ui |  184
 ++++++++++++++++++++++----------------------
 1 files changed, 92 insertions(+), 92 deletions(-)

commit 820ebbc7f67288715794f712be7c9f12130b7565
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Aug 25 16:02:14 2011 +0100

    Preferences: remove Appearance label in Themes tab.

    This label doesn't add anything, so I removed it. The indentation is
    weird because I hand-edited the Glade file to show that nothing's
    really
    changed: I'll reindent it in the next patch.

 src/empathy-preferences.ui |   41
 +----------------------------------------
 1 files changed, 1 insertions(+), 40 deletions(-)

commit 3db17606a2d9e16abb9bff10233a579852b8559b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Aug 25 15:40:17 2011 +0100

    Call preferences: add colons to labels

 src/empathy-preferences.ui |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b77af8e37dff739e55a69f85f89fc3031620e1e3
Merge: 64a35d4 5bc58b6
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Sep 6 18:54:03 2011 +1000

    Merge branch 'remove-cc-plugin'

commit 64a35d4c6eddc71236c8883b8b057a48538020b4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 10:22:53 2011 +0200

    remove release flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8957b456d91821ff56a559b36066e66546f0dfe3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 10:08:34 2011 +0200

    prepare 3.1.91

 NEWS         |   40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |    6 +++---
 2 files changed, 43 insertions(+), 3 deletions(-)

commit 0597cf5d537a65542c00f1ec64369d93c2a53209
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 12:17:43 2011 +0430

    Updated Persian translation

 po/fa.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0ecc4bae11c7130a57687163bf75a90fe1911121
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 12:08:47 2011 +0430

    Updated Persian translation

 po/fa.po | 1196
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 616 insertions(+), 580 deletions(-)

commit c1188cc50e7e8e492d1f98f1b73200eb65ba784e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 09:23:45 2011 +0200

    build fix

    How did I end up commiting this without the ';'??

 libempathy/empathy-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 68ef0da647171dc544ef4e16859a9519529863c6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 6 09:03:07 2011 +0200

    empathy_contact_dup_from_folks_individual: add a debug msg if no
    contact is found

    In most cases that's probably either an Empathy or Folks issue,
    so it's good
    to have some info to help debugging.

 libempathy/empathy-utils.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7936496e842742b7e5f1444e3ffdc0ab89e09f50
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 5 16:30:50 2011 +0200

    empathy-accounts.desktop.in.in: remove X-GNOME-Settings-Panel

    We can't integrate with GNOME control center any more.

    https://bugzilla.gnome.org/show_bug.cgi?id=658254

 data/empathy-accounts.desktop.in.in |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 301f075fbc9ebd1f6330a5ce6ba19fbace3ea80a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 5 16:01:44 2011 +0200

    don't leak the keys returned by g_key_file_get_keys()

 goa-mc-plugin/mcp-account-manager-goa.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e49885103b7bd1754511282b05a1b44c13d7289f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 5 15:55:53 2011 +0200

    mcp_account_manager_goa_get: rename 'n' to nkeys

 goa-mc-plugin/mcp-account-manager-goa.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit fe369729ae300f341fa250420b1596900da58742
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 2 14:26:46 2011 +0200

    Store variable parameters to a key file

 goa-mc-plugin/mcp-account-manager-goa.c |  131
 +++++++++++++++++++++++++++++--
 1 files changed, 124 insertions(+), 7 deletions(-)

commit b7c9d3ec599064bee965a017eb6182d56c156e41
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 1 14:03:24 2011 +0200

    watch for chat properties change to detect if Chat has
    enabled/disabled

 goa-mc-plugin/mcp-account-manager-goa.c |   38
 +++++++++++++++---------------
 1 files changed, 19 insertions(+), 19 deletions(-)

commit 08dedb8027eb3947b689ee7c99171406c8e82b47
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 16:04:30 2011 +0200

    set TP_STORAGE_RESTRICTION_FLAG_CANNOT_SET_ENABLED restriction

    We can't change the 'Chat' switch on the GOA account so user will
    have to use
    GOA to enable/disable the TP account.

 goa-mc-plugin/mcp-account-manager-goa.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2d217cf1e80cfa1437f9f08e124b0c6f1fbe247c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 14:58:08 2011 +0200

    Remove old Facebook code

    Add a TODO for now.

 goa-mc-plugin/mcp-account-manager-goa.c |   46
 +++----------------------------
 1 files changed, 4 insertions(+), 42 deletions(-)

commit 2f5e2d1fdb7220291a75357c6c51ab7000e8b897
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 14:54:49 2011 +0200

    watch for Chat feature changes to enable/disable the account

 goa-mc-plugin/mcp-account-manager-goa.c |   41
 +++++++++++++-----------------
 1 files changed, 18 insertions(+), 23 deletions(-)

commit 2278e8e11be7614d15d8c1a081dc49e68e5924eb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 14:43:10 2011 +0200

    mcp_account_manager_goa_set: pretend we save everything

    No doing it result in MC saving the keys in accounts.cfg and so
    duplicating
    the account.

 goa-mc-plugin/mcp-account-manager-goa.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5d17340353b68177ec1332e564a13f18fb00105a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 14:22:36 2011 +0200

    Enable TP account only if Chat has been turned on in GOA

 goa-mc-plugin/mcp-account-manager-goa.c |   28
 ++++++----------------------
 1 files changed, 6 insertions(+), 22 deletions(-)

commit 79df4629d7890f5d3a70e2d66afea1ded744e9d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 14:09:47 2011 +0200

    store the GoaObject rather than the GoaAccount

    We need to keep the GoaObject to check if Chat is enabled on it.

 goa-mc-plugin/mcp-account-manager-goa.c |   28
 +++++++++++++++++-----------
 1 files changed, 17 insertions(+), 11 deletions(-)

commit eb9d398e95bbb9972df1ac26374da11234a82989
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Jun 29 14:56:49 2011 +0800

    Add params fallback-servers, extra-certificate-identities and
    require-encryption

 goa-mc-plugin/mcp-account-manager-goa.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 18cb1d75f31075ac4ac4ad809d96cab824515387
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Jun 29 14:39:11 2011 +0800

    Document hashtable allocation/reffing

 goa-mc-plugin/mcp-account-manager-goa.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0b4a5527117a282de064b0ea0a9bc920a1029dae
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Jun 14 18:37:30 2011 +0100

    Track accounts created and destroyed from GOA

 goa-mc-plugin/mcp-account-manager-goa.c |   34
 +++++++++++++++++++++++++++++-
 1 files changed, 32 insertions(+), 2 deletions(-)

commit 56ad8aa9ae095378b17d9bea03dd3f41fab232e2
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Jun 14 18:28:54 2011 +0100

    Support launching GNOME Online Accounts in empathy-accounts

 libempathy-gtk/empathy-account-widget.c |   72
 ++++++++++++++++++++++++++++---
 1 files changed, 65 insertions(+), 7 deletions(-)

commit b2c74dfc9854df75ed63ccc9f8eeda6d3f6fc71b
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Jun 14 17:18:58 2011 +0100

    Initial work on a GNOME Online Accounts Mission Control plugin

 Makefile.am                             |    7 +-
 configure.ac                            |   31 ++
 goa-mc-plugin/Makefile.am               |   18 ++
 goa-mc-plugin/mcp-account-manager-goa.c |  471
 +++++++++++++++++++++++++++++++
 goa-mc-plugin/mcp-account-manager-goa.h |   60 ++++
 goa-mc-plugin/mission-control-plugin.c  |   48 ++++
 6 files changed, 634 insertions(+), 1 deletions(-)

commit 2d762527c1291c0a0fedcc2ab153d947b1876435
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Sep 5 23:29:57 2011 +0200

    Updated Spanish translation

 help/es/es.po |  171
 ++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 114 insertions(+), 57 deletions(-)

commit 4d64e1f05887e06f88d9599a24e0b259c1d5838d
Author: Ekaterina Gerasimova <kittykat3756@googlemail.com>
Date:   Mon Sep 5 20:32:57 2011 +0200

    help/share-desktop: Updated and improved wording

    Changed "desktop viewing application" to "desktop sharing application"
    when talking about a VNC server. Simplified language, improved grammar
    and word order.

 help/C/share-desktop.page |   56
 ++++++++++++++++++++++++++++-----------------
 1 files changed, 35 insertions(+), 21 deletions(-)

commit aae0b71cf6b97217175111c8af378bcccd05776b
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Mon Sep 5 20:01:38 2011 +0200

    Updated Dutch translation by Hannie Dumoleyn

 po/nl.po |  585
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 312 insertions(+), 273 deletions(-)

commit e01b2c3f1bbe994b1766709398d53611e30ee0ca
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Sep 4 18:46:02 2011 +0200

    Updated galician translations

 po/gl.po |  436
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 231 insertions(+), 205 deletions(-)

commit 177093d0b13b58d50094b273cb16d62b8e2bd41b
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 4 18:37:59 2011 +0300

    Updated Belarusian translation.

 po/be.po |   96
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 48 insertions(+), 48 deletions(-)

commit 3db27cec190e8a7d13566d73d6eda04f9d99b5d0
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 3 20:33:48 2011 +0200

    Updated Spanish translation

 help/es/es.po |   42 ++++++++++++++++++------------------------
 1 files changed, 18 insertions(+), 24 deletions(-)

commit d2467f4d3b989bb34ef35c16fd7cbdd57edf4161
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Sep 3 13:49:07 2011 -0400

    help/irc-manage: Add install link for telepathy-idle

 help/C/irc-manage.page |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 22de94f978df78e8b83ad515a6d6c870049b116b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Sep 1 13:55:38 2011 -0400

    main-window: add back the primary-toolbar hint

    https://bugzilla.gnome.org/show_bug.cgi?id=657956

 src/empathy-main-window.ui |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 55debdac5cb1a3a46a0c6e2bbc052e83f7e57f77
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Sep 1 12:26:29 2011 -0400

    log-window: add the "raised" style class to the account chooser

    So that it raises up from the toolbar below.

    https://bugzilla.gnome.org/show_bug.cgi?id=657954

 libempathy-gtk/empathy-log-window.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f329a627ccf45954e06909dde3626fbe535cd440
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 2 20:59:27 2011 +0300

    Updated Belarusian translation.

 po/be.po |  367
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 196 insertions(+), 171 deletions(-)

commit 2ab17b3039eef2c93d6fce4c5bee5f452fa8e8c1
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Fri Sep 2 12:43:29 2011 +0100

    Use format-justify-fill everywhere

    https://bugzilla.gnome.org/show_bug.cgi?id=657843

 libempathy-gtk/empathy-log-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bc0ec088a254f7432a299ee0b1d4b634d771140e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Thu Sep 1 11:18:08 2011 +0100

    LogWindow: fix toolbar icons

    https://bugzilla.gnome.org/show_bug.cgi?id=657843

 libempathy-gtk/empathy-log-window.ui |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 24bc9e50cd9cdb73f9983e01988834e386f600fb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 1 16:01:37 2011 +0200

    log-window: align the account chooser and search widget

    Center the account chooser and align the search widget to the right
    of the
    toolbar.

    https://bugzilla.gnome.org/show_bug.cgi?id=657842

 libempathy-gtk/empathy-log-window.ui |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 8d3d11d5e3866cf4cfd730af4252c10fdd5783ed
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 30 10:44:02 2011 +0200

    empathy_connection_can_*_personas: check if connection is connected

    https://bugzilla.gnome.org/show_bug.cgi?id=657266

 libempathy/empathy-utils.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 01086a035fcf1b128bd9547219aa00c8768e0118
Author: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
Date:   Wed Aug 31 17:28:35 2011 +0100

    Fixes a segfault in empathy-individual-store.c

    When a contact cannot be obtained from an individual, icon_name and
    contact will be NULL, leading to g_hash_table_lookup for a NULL-value,
    segfaulting.

    Although there's probably an underlying error somewhere, the NULL case
    should be handled, being a valid return value for the method;

    https://bugzilla.gnome.org/show_bug.cgi?id=657914

 libempathy-gtk/empathy-individual-store.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 96a577f74ee233951f6b61b0fb8b1bbe70a1e12e
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Fri Sep 2 16:04:03 2011 +0530

    Updated Tamil translation

 po/ta.po | 2173
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1383 insertions(+), 790 deletions(-)

commit 5bc58b637fe191eabddef9517e4a810e6f667baa
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Fri Sep 2 12:27:04 2011 +1000

    Remove control centre plugin

    GNOME no longer supports control centre plugins, and it was decided
    at the
    hackfest that empathy-accounts should not appear in the control
    centre.

 configure.ac                    |   41 -------
 src/Makefile.am                 |   31 -----
 src/cc-empathy-accounts-panel.c |  246
 ---------------------------------------
 src/cc-empathy-accounts-panel.h |   55 ---------
 src/empathy-accounts-module.c   |   40 -------
 5 files changed, 0 insertions(+), 413 deletions(-)

commit b1fcecccc0dc5d4cbbdc67baf00a8bbdce2781d4
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Fri Sep 2 05:40:36 2011 +0530

    Updated Tamil translation

 po/ta.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 078a23707194b9a1c21e42591a3a9732d46bb019
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Sep 1 23:08:32 2011 +0300

    Updated Lithuanian translation

 po/lt.po | 1737
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 906 insertions(+), 831 deletions(-)

commit 9cabc4a14f2ffab0045c5a601e9b5c8eada11b71
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Sep 1 23:41:58 2011 +0400

    Updated Russian translation

 po/ru.po |  401
 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 181 insertions(+), 220 deletions(-)

commit f26ba0c5b0883b2fb63c5fa59349540cf2e7f8de
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Aug 22 12:08:46 2011 -0400

    build: fix typo in configure summary

    Geocode support uses geocode-glib, not geoclue.

    https://bugzilla.gnome.org/show_bug.cgi?id=657087

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3afcd73345ebda8e784df8b81edda8ccc5d7c24
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Sep 1 12:47:59 2011 +0200

    Updated Swedish translation

 po/sv.po |  397
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 213 insertions(+), 184 deletions(-)

commit ac7803440e7d05e5e6f688c137ff738b760c261c
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Wed Aug 31 23:34:18 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  385
 +++++++++++++++++++++++++++++++---------------------------
 1 files changed, 206 insertions(+), 179 deletions(-)

commit 73e8667395282bda229c900425221ee0f35560ab
Merge: 1da2ae6 e461080
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Thu Sep 1 11:00:08 2011 +1000

    Merge branch 'timezones-656189'

commit 1da2ae694517fc48cb8e49d5a030a8d95554701d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 31 21:24:27 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  363
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 194 insertions(+), 169 deletions(-)

commit fcd22fbdd8d4545b04e15f3bcb6e4384e7d0ded6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Wed Aug 31 15:14:15 2011 +0100

    Correct grouping in the hostname regexp

    Correctly group our subregexp otherwise hostnames like the following
    won't be recognized due to the way things expand:
      a.com
      example.c-om

 libempathy-gtk/empathy-account-widget.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 022c807d5dee69a54c565051cea62571b29d3ebf
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Wed Aug 31 09:20:28 2011 +0100

    CallWindow: make video buttons unsensitive when video not supported

    If we're calling an audio-only contact, make the camera buttons
    unsensitive.

    https://bugzilla.gnome.org/show_bug.cgi?id=656871

 src/empathy-call-window.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7da7c9f115124a274a8566a77624338816c641b3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 10:24:20 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21178340691a8b6a5f0963452f8a236f1adf5efc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 31 09:52:58 2011 +0200

    prepare 3.1.90.1

 NEWS         |   19 +++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 18009c7071732d29dd5a6eba8ef7f6b53c91e4d3
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Aug 31 09:34:12 2011 +0200

    build: use an autoconf macro to get to -lm

 configure.ac           |    3 +++
 libempathy/Makefile.am |    2 +-
 src/Makefile.am        |    4 ++--
 3 files changed, 6 insertions(+), 3 deletions(-)

commit e46108042c88db357d67d82184738f72ad76f4be
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Aug 31 13:13:16 2011 +1000

    Use g_date_time_new_from_unix_local() to read timestamps from logger

    g_date_time_new_from_unix_local() reads a Unix timestamp (which
    is defined
    to be in UTC) and sets the timezone for the GDateTime to be the
    local timezone.
    Thus when we format it, we get times in local time.

    g_date_time_new_from_unix_utc() is not correct, because it sets
    the timezone
    to UTC.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=656189

 libempathy-gtk/empathy-log-window.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e4041ce8c3d86e99d747c53012349baa83116d45
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 30 18:59:52 2011 +0200

    Updated Spanish translation

 po/es.po |  269
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 138 insertions(+), 131 deletions(-)

commit 61fd1d957fff26fa3b65c765faf0f7ead346f280
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Tue Aug 30 16:02:53 2011 +0100

    CallWindow: destroy the preview clone when restarting the pipeline

    https://bugzilla.gnome.org/show_bug.cgi?id=656886

 src/empathy-call-window.c |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit dd7043a57b488e1cac84c36fba72dea3d220ea41
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 30 13:25:35 2011 +0200

    Don't update presence on session changes if the Shell is running

    The Shell does it for us.

    https://bugzilla.gnome.org/show_bug.cgi?id=656631

 src/empathy.c |   47 +++++++++++++++++++++++++++--------------------
 1 files changed, 27 insertions(+), 20 deletions(-)

commit c079bd6891e308a63f9f920e9cbaf001e993f471
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 30 13:57:01 2011 +0200

    fix typo

 src/empathy.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d1cf80cf8ae0412eaf176c557f78f29ab8d4064
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 12:54:10 2011 +0200

    build: remove -enumtypes rules

 src/Makefile.am |   18 ------------------
 1 files changed, 0 insertions(+), 18 deletions(-)

commit f1d4849c8003841b7d6aa6b2ed39faf029ac783a
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 12:53:34 2011 +0200

    build: add -lm where required

 libempathy/Makefile.am |    3 ++-
 src/Makefile.am        |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit adb1971f4779df5e8b77b8fe7550ec8455aac8c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 30 12:10:23 2011 +0200

    Don't set presence to offline when Shell is running

    https://bugzilla.gnome.org/show_bug.cgi?id=656632

 src/empathy.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 5cdfd1e0d6c5df35f07530b9cdcdbd6c74d33247
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Tue Aug 30 10:37:29 2011 +0100

    CallWindow: don't spit unnecessary criticals

    There's no guarantee that an actor has an allocation all the time,
    so gracefully handle the case when it doesn't.

    https://bugzilla.gnome.org/show_bug.cgi?id=656911

 src/empathy-call-window.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 44f6461a975b9b2e309fae4ff052eb12df99704a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   Tue Aug 30 09:00:06 2011 +0100

    Save the video preview position in gsettings

    And place it in the last used position when starting a new call.

    https://bugzilla.gnome.org/show_bug.cgi?id=656889

 data/org.gnome.Empathy.gschema.xml.in |   13 +++++++++++++
 src/empathy-call-window.c             |    7 +++++++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit cd4cb2693bf0d46201971720cc9c6e4d70fbb8dc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 19 10:58:48 2011 +0100

    don't create the status icon if GNOME Shell is running

    https://bugzilla.gnome.org/show_bug.cgi?id=631944

 src/empathy.c |   50 ++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 48 insertions(+), 2 deletions(-)

commit 30f02dbfe4f41a7307f26e125a0dfbe7c830f65d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 16:51:57 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe6a8678e1885b38ad7437436a1e5983aea2a8c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 16:37:22 2011 +0200

    coding style fix

 libempathy-gtk/empathy-contact-list-store.c |    2 +-
 libempathy-gtk/empathy-individual-store.c   |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 3101d1f584d3e26eaeb4e75b973010f92cea3823
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 16:19:45 2011 +0200

    prepare 3.1.90

 NEWS         |   39 +++++++++++++++++++++++++++++++++++++++
 configure.ac |    6 +++---
 2 files changed, 42 insertions(+), 3 deletions(-)

commit 980148c26a52fb352ee165d7a46280172b49de96
Merge: d2d6157 be8a050
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 15:49:12 2011 +0200

    Merge branch 'account-widget-657616'

commit d2d6157547f7d386fea7721b4391b4d0c2b0d79b
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu Aug 25 16:46:25 2011 +0100

    contact list: optimize loading contacts

    The previous algorithm was O(n^2) with the number of contacts. Each
    contact can
    be in several groups, so when a contact is added or updated, we
    iterated over
    all the contact list to find the rows representing the contact. When
    connecting
    to an account and getting all the contacts, this was too slow.

    The groups are stored in the GtkTreeStore and suffer from the same
    problem: to
    look for a group, it needed to iterate on all contacts.

    The new algorithm maintains a hash from the contact to the list
    of rows
    representing it, and another hash from the group to the row
    representing it.

    On Empathy 2.30.2 when tested on MeeGo with 300 contacts, loading
    the contacts
    is faster: roughly 9 seconds before the patch, 3 seconds after.

    On Empathy 3.1.5, it seems to load in background so I don't know
    how to measure
    the time lost in GtkTreeStore. But before the patch, GProf says 23%
    is lost in
    individual_store_find_contact_foreach(), and after the patch it is
    not visible
    anymore. And "time" says we win 5s of CPU when starting+quitting
    Empathy:

          Before the patch:        After the patch:
          real    0m23.485s        real    0m23.460s
          user    0m13.805s        user    0m8.305s
          sys     0m0.308s         sys     0m0.316s

    https://bugzilla.gnome.org/show_bug.cgi?id=657086

 libempathy-gtk/empathy-contact-list-store.c |  213
 ++++++++++++++-------------
 libempathy-gtk/empathy-individual-store.c   |  201
 ++++++++++++++-----------
 2 files changed, 220 insertions(+), 194 deletions(-)

commit be8a050de04263d2a042c3ba00e5021570b7fcf0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 15:00:01 2011 +0200

    account-widget-local-xmpp: put all the labels in a GtkSizeGroup

    https://bugzilla.gnome.org/show_bug.cgi?id=657616

 .../empathy-account-widget-local-xmpp.ui           |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 6a818ee5aced7076786ba0a48a8f32b800b9a676
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Aug 29 19:11:50 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1174
 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 1174
 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 1258 insertions(+), 1090 deletions(-)

commit 82b0217429316a92c4550d467ebf95d87c88fd7c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Aug 29 13:04:22 2011 +0200

    Updated Spanish translation

 po/es.po |   83
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 49 insertions(+), 34 deletions(-)

commit 302ef589503e23da0b38a7c394884ea04d37979b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 10:29:18 2011 +0200

    contact-widget: use the day-selected sig to update birthday

    Having to double click on a day to update it was really confusing
    and most
    people (including me!) were just thinking that was not working.

 libempathy-gtk/empathy-contact-widget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2df03efb4efc73eb7e4209f9eadb10ff6d646a4b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 26 10:59:14 2011 +0200

    Allow to call phone number of contacts

    https://bugzilla.gnome.org/show_bug.cgi?id=650112

 libempathy-gtk/empathy-individual-menu.c |  207
 ++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-individual-menu.h |    3 +-
 libempathy/empathy-client-factory.c      |    3 +
 3 files changed, 212 insertions(+), 1 deletions(-)

commit 41515259986697a443e892ad31043d2275915eea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 26 14:53:01 2011 +0200

    add EmpathyAccountSelectorDialog

    Dialog asking user to pick an account from a pre-defined list.

    https://bugzilla.gnome.org/show_bug.cgi?id=650112

 libempathy-gtk/Makefile.am                       |    2 +
 libempathy-gtk/empathy-account-selector-dialog.c |  198
 ++++++++++++++++++++++
 libempathy-gtk/empathy-account-selector-dialog.h |   68 ++++++++
 3 files changed, 268 insertions(+), 0 deletions(-)

commit 04f88a3959838b95972664ce99cf24f94be06457
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 26 11:15:11 2011 +0200

    export empathy_account_has_uri_scheme_tel()

    https://bugzilla.gnome.org/show_bug.cgi?id=650112

 libempathy/empathy-account-settings.c |   26 ++++----------------------
 libempathy/empathy-utils.c            |   19 +++++++++++++++++++
 libempathy/empathy-utils.h            |    2 ++
 3 files changed, 25 insertions(+), 22 deletions(-)

commit 6dfd7204baa89c6eb3903753f45b7d416a93b112
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 29 11:32:36 2011 +0200

    chatroom_manager_parse_chatroom: check account path is valid

    https://bugzilla.gnome.org/show_bug.cgi?id=657362

 libempathy/empathy-chatroom-manager.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 46369eff9ef4bded8b8215c5900b10cc2fb0069a
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Aug 28 17:52:27 2011 +0200

    Updated galician translations

 po/gl.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 6e133dea9be47cbd49eaee291bfd41419e431f43
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Aug 28 13:52:41 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1628
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 882 insertions(+), 746 deletions(-)

commit a3d613974a9d702452f3e563b24405c219d22006
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Aug 26 23:51:38 2011 +0400

    Updated Russian translation

 po/ru.po | 2260
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1427 insertions(+), 833 deletions(-)

commit abd933af3052cb371414fa640b3175a2720af91d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Aug 26 21:24:31 2011 +0200

    Updated Spanish translation

 po/es.po |  112
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 59 insertions(+), 53 deletions(-)

commit 3000a3d49b6f0f8e1f2e364a780b75f01e0d8e6b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 26 13:48:57 2011 +0100

    Don't leak FDs when loading avatars.

    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 libempathy-gtk/empathy-ui-utils.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 7bae092e57e57103fa543d66c0bb11ac3ba4d43d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 26 12:19:08 2011 +0200

    Move the 'Show previous conversation' menu entry

    It used to be right in the middle of actions on the contact.

 libempathy-gtk/empathy-contact-menu.c    |   14 +++++++-------
 libempathy-gtk/empathy-individual-menu.c |   16 ++++++++--------
 2 files changed, 15 insertions(+), 15 deletions(-)

commit 3e1f9c3f49a1b6b3e317d23958b5eaaf77c0b097
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Aug 26 12:07:16 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 61b4787cb8b7037d7fe918bb6f8c231cf362273b
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Aug 25 22:11:40 2011 +0200

    Fix unclear string in avatar chooser

	* Fix an unclear error string in the avatar chooser
	  when saving camera taken image to file.
	  Fixes bug #657166

 libempathy-gtk/empathy-avatar-chooser.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fba9b2278337d7fc24446d1e3fb8d580891d9e35
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	Thu Aug 25 19:14:14 2011 +0300

    Updated Belarusian translation.

 po/be.po | 4874
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 3211 insertions(+), 1663 deletions(-)

commit 9dbb101d0ca44d6bff1bee75009fc14e0615aa1a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Thu Aug 25 16:26:30 2011 +0100

    Configure: produce useful dependency errors

    I discovered that PKG_CHECK_MODULES sets a variable if the
    dependencies
    aren't found containing the message it would have died with if you
    hadn't specified ACTION-IF-NOT-FOUND. So this gives us better output,
    without breaking opportunistically adding Call (etc.) support (as I
    did).

 configure.ac |   48 ++++++++++++++++++++++++++++++++++++------------
 1 files changed, 36 insertions(+), 12 deletions(-)

commit f3c4f721b13f08c81ff2c9efe5b0f91c07df6903
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Thu Aug 25 16:17:11 2011 +0100

    Revert "configure: simplify error path in --enable-call"

    This reverts commit a7c8e72c9c4daa5a4830bad4ab6baa500106b3b4. It
    accidentally made not specifying an option equivalent to
    --enable-call.

 configure.ac |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a7c8e72c9c4daa5a4830bad4ab6baa500106b3b4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Thu Aug 25 15:20:58 2011 +0100

    configure: simplify error path in --enable-call

    PKG_CHECK_MODULES raises a fatal error if you don't specify an
    ACTION-IF-NOT-FOUND, telling the developer which modules are
    missing. So
    we can simplify the configure script *and* give a more helpful error
    message.

 configure.ac |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit ec7580263da08c3301d44335f001d4914d6854e7
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:	Thu Aug 25 09:13:53 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 1124
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 597 insertions(+), 527 deletions(-)

commit 05175cbebfb7d4dee0b55d24ed46e921b8256e0c
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Thu Aug 25 13:02:12 2011 +0300

    src: install empathy-main-window-menubar.ui

    empathy-main-window-menubar.ui was added in this commit:

       1ad15d157971b6550cb11787a03463e891d29364 is the first bad commit
       commit 1ad15d157971b6550cb11787a03463e891d29364
       Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
       Date:   Tue Aug 23 14:08:18 2011 +0200

	  Move main window's UI manager to its own UI file

	  Glade doesn't support GtkUIManager so it was impossible to edit
	  the main window at all because of that.

    But was not marked to be installed.

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=657271

 src/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4cdd02a73bd9f10d6427afc6979371f2207e9073
Author: Fran Dieguez <fran@openhost.es>
Date:	Wed Aug 24 21:18:03 2011 +0200

    Updated Galician translations

 po/gl.po |  709
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 365 insertions(+), 344 deletions(-)

commit 7bc4d0c51423617ef6b41e81ced8471c464d6456
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Aug 24 19:51:34 2011 +0200

    Updated Spanish translation

 po/es.po |  646
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 328 insertions(+), 318 deletions(-)

commit 84e5d3835a98335372a6c058103f8e7d8b46519a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Wed Aug 24 18:52:00 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit 34444b9a90be269af9d7af39ca064741de2123a5
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Wed Aug 24 11:25:11 2011 +0200

    Do not auto-accept publish requests if contact is not subscribed

    Fixes bug #657173

 libempathy/empathy-tp-contact-list.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 96d638486a06118b91086f00d3a6b9d89eb8d445
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Aug 24 13:53:05 2011 +0200

    account-widget-sip: add option to mark account as being able to
    call phones

    https://bugzilla.gnome.org/show_bug.cgi?id=657220

 libempathy-gtk/empathy-account-widget-sip.c  |   22
 ++++++++++++++++++++++
 libempathy-gtk/empathy-account-widget-sip.ui |   19 ++++++++++++++++++-
 2 files changed, 40 insertions(+), 1 deletions(-)

commit 1363e49db79f64f85b7cdd4fe273896a9228c619
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Aug 24 10:34:56 2011 +0200

    widget-sip: load/save file in Glade

    No change has been done, this is just to keep commits simpler.

    https://bugzilla.gnome.org/show_bug.cgi?id=657220

 libempathy-gtk/empathy-account-widget-sip.ui |   91
 +++++++++++++++++++++-----
 1 files changed, 73 insertions(+), 18 deletions(-)

commit fe4fd76aebe8faea1e7f16215cac005e5017a155
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Aug 24 13:52:23 2011 +0200

    account-widget: add empathy_account_widget_get_settings()

    https://bugzilla.gnome.org/show_bug.cgi?id=657220

 libempathy-gtk/empathy-account-widget.c |    8 ++++++++
 libempathy-gtk/empathy-account-widget.h |    3 +++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 1ef053f46e31460f8f128621690a967e2ca08fc6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Aug 24 13:51:12 2011 +0200

    account-settings: add API to set 'tel' in the URISchemes property
    of the account

    https://bugzilla.gnome.org/show_bug.cgi?id=657220

 libempathy/empathy-account-settings.c |   65
 +++++++++++++++++++++++++++++++++
 libempathy/empathy-account-settings.h |    6 +++
 2 files changed, 71 insertions(+), 0 deletions(-)

commit ff4c2d1b2504826b405d2c6846c0a6087320380d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Wed Aug 24 16:13:21 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  673
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 340 insertions(+), 333 deletions(-)

commit 4b2400798cf3468196fdc1680d37a8474129df13
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Wed Aug 24 12:12:33 2011 +0300

    Updated Hebrew translation.

 po/he.po |  405
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 211 insertions(+), 194 deletions(-)

commit 0b92f77d8d32ddb96515abe5a1619acb9f55db11
Author: Daniel Nylander <po@danielnylander.se>
Date:	Wed Aug 24 09:15:00 2011 +0200

    Updated Swedish translation

 po/sv.po | 1215
 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 515 insertions(+), 700 deletions(-)

commit 57075092737c287010e1a2435bf1b1c1839101a5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Tue Aug 23 23:42:52 2011 +0100

    libempathy-gtk: Explicitly close the input stream used for reading
    avatars

    Due to a missing unref in GIO, the input stream is leaked by
    GFileIcon, so
    if we rely on its FD being implicitly closed when the stream is
    finalised,
    we'll end up leaking (lots of) file descriptors.

    As well as fixing the unref in GIO (see: bgo#657206), we now
    explicitly
    close the input stream so that even if the stream object is leaked,
    the FD
    isn't.

    Closes: bgo#656682

 libempathy-gtk/empathy-ui-utils.c |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 4fd99e6dc16c26656d43296f2b3104dac3f9e45b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 23 15:01:45 2011 +0200

    main-window.ui: load and save the file in Glade

    No change has been made, this is just to reduce the size of diff
    in future
    commits.

 src/empathy-main-window.ui |  164
 ++++++++++++++++++++++----------------------
 1 files changed, 83 insertions(+), 81 deletions(-)

commit 1ad15d157971b6550cb11787a03463e891d29364
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 23 14:08:18 2011 +0200

    Move main window's UI manager to its own UI file

    Glade doesn't support GtkUIManager so it was impossible to edit the
    main window at all
    because of that.

 po/POTFILES.in			    |	 1 +
 src/empathy-main-window-menubar.ui |  307
 +++++++++++++++++++++++++++++++++++
 src/empathy-main-window.c	    |	31 +++-
 src/empathy-main-window.ui	    |  309
 ------------------------------------
 4 files changed, 331 insertions(+), 317 deletions(-)

commit a54170335d7c6246f1606347ed109e682c883927
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 23 15:59:08 2011 +0200

    main-window: remove the throbber tooltip

    Clicking on it doesn't open the accounts dialog any more.

    https://bugzilla.gnome.org/show_bug.cgi?id=657105

 src/empathy-main-window.c |	1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d74b1775e5f237869bdc2177064ea82aa370ac42
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:	Tue Aug 23 13:58:21 2011 +0100

    geocode: fix uninitialized variable (-Werror=uninitialized)

 libempathy/empathy-contact.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ec1594416d7fc29c7baeeb10f7645934a9679bb5
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:	Mon Aug 22 16:57:52 2011 +0100

    Add a configure option for GProf

    It should help to investigate
    https://bugzilla.gnome.org/show_bug.cgi?id=657086

 configure.ac |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 20a005394616e171ab3c7a974122bfa01df426a2
Merge: 2c55a1a 8854564
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Tue Aug 23 09:31:28 2011 +0100

    Merge branch 'search-bar'

commit 2c55a1ac6432591d45dc396e8353b6840eedb5b8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 23 10:13:53 2011 +0200

    widget-irc: quit message entry shouldn't be invisible

    https://bugzilla.gnome.org/show_bug.cgi?id=657104

 libempathy-gtk/empathy-account-widget-irc.ui |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 266c56fd9d092259c0c58fa9c23afce841bd6779
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	Mon Aug 22 22:15:14 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  305
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 159 insertions(+), 146 deletions(-)

commit 885456479f37aa5aa500361bef33ac3dd746428a
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 22 16:51:01 2011 +0100

    search-bar: shorten labels to just Next & Previous

    The verb, "Find", is already present on the left of the entry.

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-search-bar.ui |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 6df8cf14b3b25782ce5437ae0e26e0726da1daa2
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 22 16:50:51 2011 +0100

    search-bar: use smaller icons

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-search-bar.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 64e2c818c7faead9671d959a87d60ce92c082ab1
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 22 16:25:49 2011 +0100

    search-bar: make close button non-important stock gtk-close

    This has the much nicer side-effect that if it gets thrown off the
    side because it doesn't have enough room, the icon and label will be
    shown in the expander.

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-search-bar.ui |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 78265c9fd2f7526876c1418b80dda44d96f6c644
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 22 16:25:02 2011 +0100

    search-bar: move close button to RHS

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-search-bar.ui |   33
 +++++++++++++++++++++------------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit 3be11adb859eb5ec1a2f2a850e8277c73e5aa814
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Mon Aug 22 16:16:20 2011 +0200

    EmpathyChatWindow: Set "im.received" on notification so gnome-shell
    can ignore it

 src/empathy-chat-window.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f60338e75ad72300e1f93ea38ce17284d50d698c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 22 15:11:22 2011 +0200

    contact_set_avatar_from_tp_contact: don't crash if we failed to load
    the avatar

    https://bugzilla.gnome.org/show_bug.cgi?id=656829

 libempathy/empathy-contact.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 4c534b01f55b25442d8399db4a610a3e1982daa9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 22 13:02:42 2011 +0200

    Move live search to top of Contact list

    https://bugzilla.gnome.org/show_bug.cgi?id=656999

 src/empathy-main-window.c  |	 5 ++++-
 src/empathy-main-window.ui |	15 ++++++++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 0e13467ea1c89322c2eab94c230193d5163a4856
Author: Debarshi Ray <debarshir@src.gnome.org>
Date:	Tue Feb 15 17:28:09 2011 +0200

    Freenode has added 6697 to the list of SSL ports

    The list of servers and port numbers for Freenode are given at:
    http://freenode.net/irc_servers.shtml

    Fixes: https://bugzilla.gnome.org/642385

 libempathy/irc-networks.xml |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d1efd59bfbb620fa7531726f6b473880a3c485a7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 22 12:09:19 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9a70028671636681ff16ccb288e3d02fb90b807b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 22 12:04:27 2011 +0200

    add empathy-webkit-utils.c to POTFILES.in

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8cd279f2dd43b31409a396549195a4144b54c695
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 22 11:50:35 2011 +0200

    prepare 3.1.5.1

 NEWS	      |   43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 45 insertions(+), 2 deletions(-)

commit 2e4efa578faaebb0ef45606080d3586e8e2e739f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 27 21:29:31 2011 -0700

    Don't assume that all FolksIndividuals have a corresponding
    EmpathyContact.

    Closes: bgo#653599 - Empathy shouldn't assume all TpfPersonas
    contain a
    valid TpContact

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-individual-store.c |   39
 +++++++++++++++++------------
 libempathy-gtk/empathy-individual-view.c  |	3 +-
 2 files changed, 25 insertions(+), 17 deletions(-)

commit d1d3a49fc919ed734b77a6e94afb2d49109182f2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:	Mon Jun 27 14:31:25 2011 -0700

    Don't assume that all TpfPersonas contain valid TpContacts

    Helps: bgo#653599 - Empathy shouldn't assume all TpfPersonas contain a
    valid TpContact

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 libempathy-gtk/empathy-individual-dialogs.c |	  3 +
 libempathy-gtk/empathy-individual-menu.c    |	 34 ++++++---
 libempathy-gtk/empathy-individual-store.c   |	 57 +++++++++------
 libempathy-gtk/empathy-individual-widget.c  |	 46 ++++++++----
 libempathy-gtk/empathy-persona-store.c      |	106
 ++++++++++++++++-----------
 libempathy-gtk/empathy-persona-view.c	     |	 11 ++-
 libempathy/empathy-contact.c		     |	  3 +
 libempathy/empathy-individual-manager.c     |	 52 ++++++++-----
 libempathy/empathy-utils.c		     |	  7 +-
 9 files changed, 203 insertions(+), 116 deletions(-)

commit 358fab1eb85cecb34ca45f492be2e623ab443a5e
Merge: 64cc7e6 fb1f95d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Mon Aug 22 09:02:54 2011 +0100

    Merge remote-tracking branch 'pochu/preview-position'

commit 64cc7e6fe9b37afbc55fe0c5166132e32ac3f994
Merge: 18f318c 569c338
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Mon Aug 22 09:01:59 2011 +0100

    Merge remote-tracking branch 'pochu/request-message'

commit 18f318c2dc698f416fc9a05587908fa5eb3f96d1
Author: Aron Xu <aronxu@gnome.org>
Date:	Sun Aug 21 15:57:31 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |	780
 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 400 insertions(+), 380 deletions(-)

commit 569c3381242efcb5bc7966825023e890965c0b62
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jun 8 09:55:08 2011 +0100

    Hide the request message entry if it can't be used

    https://bugzilla.gnome.org/show_bug.cgi?id=656934

 libempathy-gtk/empathy-contact-search-dialog.c |   38
 +++++++++++++++++++-----
 1 files changed, 30 insertions(+), 8 deletions(-)

commit 82600285342927b40d8a7b72f0b559b4b14d01a3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jun 8 09:54:30 2011 +0100

    EmpathyContactListFlags: add _MESSAGE_ADD flag

    https://bugzilla.gnome.org/show_bug.cgi?id=656934

 libempathy/empathy-contact-list.h    |    1 +
 libempathy/empathy-tp-contact-list.c |    4 ++++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 138759c101a9dd03db74d082d58c43e252e96217
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jun 6 17:13:32 2011 +0100

    Set the scrolled window shadow type to Etched in

    https://bugzilla.gnome.org/show_bug.cgi?id=656934

 libempathy-gtk/empathy-contact-search-dialog.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6afea914d5c915cde2fc3bf660441d8417ffcede
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jun 1 17:26:36 2011 +0100

    Allow to specify the subscription request message

    https://bugzilla.gnome.org/show_bug.cgi?id=656934

 libempathy-gtk/empathy-contact-search-dialog.c |   37
 ++++++++++++++++++++++--
 1 files changed, 34 insertions(+), 3 deletions(-)

commit fb1f95dfba027a0cb62bf94b77a429c5809f47fc
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 19 20:01:43 2011 +0100

    CallWindow: correctly position the preview when dragging

    https://bugzilla.gnome.org/show_bug.cgi?id=656887

 src/empathy-call-window.c |	7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 129f902925f603c163dc66757faf4d22632efe9e
Author: Laurent Bigonville <bigon@bigon.be>
Date:	Fri Aug 19 14:55:25 2011 +0200

    Fix call-event.h detection

    Correctly set the LDFLAGS from EMPATHY_LDFLAGS so AC_CHECK_HEADER can
    find call-event.h

    https://bugzilla.gnome.org/show_bug.cgi?id=656908

 configure.ac |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 376c8299f4c69345fd783b20a8f2f4d8827551bb
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 19 13:01:59 2011 +0100

    CameraMenu: don't change the device if it's the current one

    https://bugzilla.gnome.org/show_bug.cgi?id=656885

 src/empathy-camera-menu.c |	9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 09b8172fb599c1a5dd1971eb4501304915034112
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 19 13:42:54 2011 +0100

    Flip the preview in RoundedTexture->paint()

    We can't flip the preview clone that we're dragging because
    of https://bugzilla.gnome.org/show_bug.cgi?id=656894, so
    directly paint it flipped.

    Partly fixes: https://bugzilla.gnome.org/show_bug.cgi?id=656887

 src/empathy-call-window.c     |   19 -------------------
 src/empathy-rounded-texture.c |    4 ++++
 2 files changed, 4 insertions(+), 19 deletions(-)

commit cf84d9a8617e31a5b0a51ed5d56df661ec8f1ede
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 19 12:16:05 2011 +0100

    CallWindow: make the preview button reactive

    So it reacts to click events. Otherwise the video preview,
    which is reactive, will get all the events.

    https://bugzilla.gnome.org/show_bug.cgi?id=656888

 src/empathy-call-window.c |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b9582cf3bee2de40dc4dbb9b73e0c2d998e25875
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 19 12:20:02 2011 +0200

    contact-chooser: use tp_connection_get_account()

    https://bugzilla.gnome.org/show_bug.cgi?id=656866

 libempathy-gtk/empathy-contact-chooser.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 010b9fefd050ad4d4c2627cad084b55573a455a3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 19 12:12:22 2011 +0200

    main-window: use tp_connection_get_account()

    https://bugzilla.gnome.org/show_bug.cgi?id=656866

 src/empathy-main-window.c |   16 ++++------------
 1 files changed, 4 insertions(+), 12 deletions(-)

commit 7684cbad9c0b6f0ac8b9640b1b74e0dafc058e84
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 18:14:27 2011 +0100

    Reset all the necessary elements when switching cameras

    https://bugzilla.gnome.org/show_bug.cgi?id=656579

 src/empathy-camera-menu.c |	2 ++
 src/empathy-video-src.c   |	4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 508b2cd4c64f2a1786a5e969bec208cb867ceb5e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 18:13:56 2011 +0100

    CallWindow: make empathy_call_window_play_camera() public

    https://bugzilla.gnome.org/show_bug.cgi?id=656579

 src/empathy-call-window.c |	8 ++++----
 src/empathy-call-window.h |	3 +++
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 08af50eabef5f5a18ced797fd2fd967c08a13198
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 13:21:40 2011 +0100

    CallWindow: make the rectangles have rounded corners

    https://bugzilla.gnome.org/show_bug.cgi?id=656576

 src/empathy-call-window.c |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)

commit c1eb12ebde6572a01744a8120440e630c8920d3a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 13:20:29 2011 +0100

    Add a rectangle actor with rounded corners

    This is a ClutterCairoTexture subclass and uses Cairo for
    drawing as Cairo is antialiased while Cogl is not.

    https://bugzilla.gnome.org/show_bug.cgi?id=656576

 src/Makefile.am		 |    2 +
 src/empathy-rounded-rectangle.c |  133
 +++++++++++++++++++++++++++++++++++++++
 src/empathy-rounded-rectangle.h |   75 ++++++++++++++++++++++
 3 files changed, 210 insertions(+), 0 deletions(-)

commit b11d6d385735ef43450271d7f07604448f751ce2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 12:36:13 2011 +0100

    CallWindow: make the info buttons rounded

    https://bugzilla.gnome.org/show_bug.cgi?id=656576

 src/empathy-call-window.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 46958ec5bbd485a9875047c367d32deb8ba0aa54
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 12:20:43 2011 +0100

    CallWindow: round the video preview corners

    https://bugzilla.gnome.org/show_bug.cgi?id=656576

 src/empathy-call-window.c |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit df6a08ae4314e831b437a88edd14c4d8e4eb61c4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 12:20:20 2011 +0100

    Add a ClutterTexture subclass with rounded corners

    https://bugzilla.gnome.org/show_bug.cgi?id=656576

 src/Makefile.am	       |    2 +
 src/empathy-rounded-texture.c |   69
 +++++++++++++++++++++++++++++++++++++++++
 src/empathy-rounded-texture.h |   63
 +++++++++++++++++++++++++++++++++++++
 3 files changed, 134 insertions(+), 0 deletions(-)

commit 2a15005b42394c72c7c883aa9beff4f8f87b8e26
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 19 09:55:04 2011 +0100

    CallWindow: don't hide the toolbar when not in a call

    https://bugzilla.gnome.org/show_bug.cgi?id=656566

 src/empathy-call-window.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 335d9576a93088c11a44de1cdb9c3884a285d95e
Merge: fb56e32 6b35d5c
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 19 17:33:42 2011 +1000

    Merge branch 'trivia'

commit fb56e32dcdc0ad78c59c3d34d500a24c954a6ab0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 17:29:56 2011 +0200

    rely on the factory to prepare TP_CONNECTION_FEATURE_BALANCE

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy/empathy-client-factory.c |	  3 ++
 src/empathy-main-window.c	     |	 36
 +++++++---------------------------
 2 files changed, 11 insertions(+), 28 deletions(-)

commit 3f96f6d69d75bef18d372c26df40ab3bbd3628fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 17:20:51 2011 +0200

    tp-chat: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CAPABILITIES

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy/empathy-tp-chat.c |   48
 +++++++++++------------------------------
 1 files changed, 13 insertions(+), 35 deletions(-)

commit c9b5bba619706d6b1a45654f845e7722870a25df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 17:17:49 2011 +0200

    new-message-dialog: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CAPABILITIES

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-new-message-dialog.c |	 55
 +++++---------------------
 1 files changed, 11 insertions(+), 44 deletions(-)

commit 686b4e258c29a7adde96606474e81929d62976b1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 16:20:44 2011 +0200

    ft-handler: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CAPABILITIES

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy/empathy-ft-handler.c |   25 ++++++++-----------------
 1 files changed, 8 insertions(+), 17 deletions(-)

commit 3370401046e7233a98afbe528e9a936fdad18b18
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 16:13:10 2011 +0200

    new-call-dialog: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CAPABILITIES

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-new-call-dialog.c |   61
 ++++++++---------------------
 1 files changed, 17 insertions(+), 44 deletions(-)

commit a87c7313fa5fca97265a533b5613726c5958e9bd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 18:07:12 2011 +0200

    individual-widget: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CONTACT_INFO

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-individual-widget.c |	96
 ++++++++++------------------
 1 files changed, 35 insertions(+), 61 deletions(-)

commit c428f8a475111473ea9a9dc246ca1d2312f41d8c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 14:06:14 2011 +0200

    contact-widget: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CONTACT_INFO

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-contact-widget.c |   16 ++++++----------
 libempathy/empathy-client-factory.c	 |    3 +++
 2 files changed, 9 insertions(+), 10 deletions(-)

commit 8b69b96e01c9b11ac779dcce99c21a1aa7fba7a3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 13:58:53 2011 +0200

    contact-search-dialog: rely on the factory to prepare
    TP_CONNECTION_FEATURE_AVATAR_REQUIREMENTS

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-contact-search-dialog.c |   60
 ++++--------------------
 1 files changed, 10 insertions(+), 50 deletions(-)

commit 7cbbd2ee8253dfd69994d83e0dfe1a63c7ca4fd0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 12:29:27 2011 +0200

    avatar-chooser: rely on the factory to prepare
    TP_CONNECTION_FEATURE_AVATAR_REQUIREMENTS

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-avatar-chooser.c |    6 +-----
 libempathy/empathy-client-factory.c	 |    3 +++
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 5a3861854b566ba034bf9ddc2fd581185dcc2ef1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 12:28:05 2011 +0200

    account-chooser: rely on the factory to prepare
    TP_CONNECTION_FEATURE_CAPABILITIES,

    Also simplify empathy_account_chooser_filter_supports_chatrooms in the
    process.

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy-gtk/empathy-account-chooser.c |   55
 ++++++------------------------
 1 files changed, 11 insertions(+), 44 deletions(-)

commit 5f8f65f8c95b7c01138992190b559e00b0790962
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 17:42:39 2011 +0200

    ask factory to prepare TP_ACCOUNT_FEATURE_CONNECTION

    So we can rely on the connection returned by
    tp_account_get_connection() to be
    usable right away.

    https://bugzilla.gnome.org/show_bug.cgi?id=656831

 libempathy/empathy-client-factory.c |	 18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 6b35d5c27162fdf750a6d1e193e31e51dfe225dd
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 19 17:26:08 2011 +1000

    [log-window] Change Quit for Close

 libempathy-gtk/empathy-log-window.c  |    6 +++---
 libempathy-gtk/empathy-log-window.ui |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8cfb78f8251e9cdd663bc92b7cf4e0ce00f0d9e3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Thu Aug 18 23:42:36 2011 +0300

    Updated Hebrew translation.

 po/he.po |  620
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 320 insertions(+), 300 deletions(-)

commit 19ce5d04599b6425b59aac6ce0ef4850cfdc9059
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	Thu Aug 18 22:37:30 2011 +0200

    Updated Dutch translation by Hannie Dumoleyn

 po/nl.po | 1239
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 692 insertions(+), 547 deletions(-)

commit d7650c7ac5c90a7ad615196a8fcef05cafc7a2d6
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	Thu Aug 18 19:28:15 2011 +0200

    Updated Slovenian translation

 po/sl.po |   46 ++++------------------------------------------
 1 files changed, 4 insertions(+), 42 deletions(-)

commit ddc5879579652ace80965450d98178771a18b210
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 12:38:52 2011 +0100

    CallWindow: hide the preview button while dragging it

    https://bugzilla.gnome.org/show_bug.cgi?id=656573

 src/empathy-call-window.c |	6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 33dab5dcf04b0f979c91e65373c9a7d89da014b3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 12:34:05 2011 +0100

    CallWindow: hide the preview while dragging it

    We show a clone of it moving through the stage, so there's no
    point in showing the main preview at the same time.

    https://bugzilla.gnome.org/show_bug.cgi?id=656573

 src/empathy-call-window.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3f60db5fb3b3c80440d381e3a8fc1a52e1da700a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 12:02:55 2011 +0100

    CallWindow: flip the dragged preview

    Currently disabled as it doesn't work as expected.

    https://bugzilla.gnome.org/show_bug.cgi?id=656573

 src/empathy-call-window.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit fe5db93073fa90597d86ae9d1500a6abaf49f3ae
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 17 19:03:24 2011 +0100

    CallWindow: make the preview follow the pointer when dragging it

    https://bugzilla.gnome.org/show_bug.cgi?id=656573

 src/empathy-call-window.c |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

commit aba9ae9e811e5cb65745f16450c547362595330c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 18 16:19:38 2011 +0100

    Don't install Call service files if empathy-call is not built

 data/Makefile.am |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit fb90ae1ed068d4f0f0972b886cb8d1f643bf2f9f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Aug 17 16:28:39 2011 +0100

    mic-monitor: add set_default function

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-mic-monitor.c |   64
 +++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-mic-monitor.h |	5 +++
 2 files changed, 69 insertions(+), 0 deletions(-)

commit e5cd9e64870fbca5bc57d205ba4fe9aadb726614
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Aug 17 15:59:29 2011 +0100

    mic-monitor: add get_default function

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-mic-monitor.c |   58
 +++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-mic-monitor.h |	5 ++++
 2 files changed, 63 insertions(+), 0 deletions(-)

commit a719df5e3df6a31d0e629516cffcdfca9436e5ae
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Aug 17 16:04:30 2011 +0100

    mic-menu: don't show the menu if we can't switch microphones

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-mic-menu.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 9a93b2732802719b6263b1d314252c7df9c62c1a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Aug 17 16:01:01 2011 +0100

    audio-src: make supports_changing_mic public

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    2 +-
 src/empathy-audio-src.h |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

commit cd40005a5e9608fa8e1295b8606788af38100dba
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Aug 17 15:55:32 2011 +0100

    mic-monitor: move the PA-specific stuff from audio-src to here

    Sorry for another big commit.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/Makefile.am	   |	6 +-
 src/empathy-audio-src.c   |  396 +++++---------------------------
 src/empathy-audio-src.h   |   13 -
 src/empathy-mic-menu.c    |   27 ++-
 src/empathy-mic-monitor.c |  566
 +++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-mic-monitor.h |   80 +++++++
 6 files changed, 724 insertions(+), 364 deletions(-)

commit 956bfcb33c33452f4ce958ae0a7112efb5ccf4a9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Aug 18 15:56:40 2011 +0100

    chatroom-manager: removed set and unused priv variable

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 libempathy/empathy-chatroom-manager.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 9ddd25f8589ae0cd5ec8e09c4c012e4ccac6a416
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 11:31:10 2011 +0200

    Port to new tp-glib client factory

    - EmpathyChannelFactory has been changed to EmpathyClientFactory
    and inherit
    from TpAutomaticClientFactory.
    - We now always use the _with_am variant of TpSimple* constructors
    - We define our own factory as default.
    - Replace empathy_get_account_for_connection() by
    tp_connection_get_account()
    - The factory is passed to EmpathyTpChat and TpyCallChannel
    - Use tp_simple_client_factory_ensure_account() instead of
    tp_account_manager_ensure_account().
    - Rely on the factory to prepare connection features.

    This should ensure that all the TpProxy and TpContact objects
    created in
    Empathy are shared and use EmpathyClientFactory.

    https://bugzilla.gnome.org/show_bug.cgi?id=655799

 libempathy-gtk/empathy-contact-list-view.c |	13 ++-
 libempathy-gtk/empathy-log-window.c	    |	17 +--
 libempathy/Makefile.am			    |	 4 +-
 libempathy/empathy-channel-factory.c	    |  163
 -------------------------
 libempathy/empathy-channel-factory.h	    |	58 ---------
 libempathy/empathy-chatroom-manager.c	    |	39 ++----
 libempathy/empathy-client-factory.c	    |  181
 ++++++++++++++++++++++++++++
 libempathy/empathy-client-factory.h	    |	56 +++++++++
 libempathy/empathy-contact.c		    |	 2 +-
 libempathy/empathy-ft-factory.c	    |	15 +--
 libempathy/empathy-message.c		    |	12 +-
 libempathy/empathy-tp-chat.c		    |	 5 +-
 libempathy/empathy-tp-chat.h		    |	 4 +-
 libempathy/empathy-utils.c		    |	40 ++-----
 libempathy/empathy-utils.h		    |	 2 -
 src/empathy-call-factory.c		    |	22 +---
 src/empathy-call-handler.c		    |	 7 -
 src/empathy-call-observer.c		    |	21 +---
 src/empathy-chat-manager.c		    |	29 +----
 src/empathy-chat-window.c		    |	14 ++-
 src/empathy-event-manager.c		    |	30 +----
 src/empathy-streamed-media-factory.c	    |	15 +--
 tests/empathy-chatroom-manager-test.c	    |	10 +-
 23 files changed, 329 insertions(+), 430 deletions(-)

commit 7fbf3e0c200b0a3c5086fdce0cc19afe48c429bb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 10:01:54 2011 +0200

    Depend on telepathy-glib 0.15.5

    Needed for new factory API.

    https://bugzilla.gnome.org/show_bug.cgi?id=655799

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c99e88c23e6a55d5ad43aa6d0239ccbfff23e8af
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 18 10:09:58 2011 +0200

    update git ignore with new build system

 .gitignore    |    2 ++
 m4/.gitignore |   30 +++++++++++++++++++++++++++++-
 po/.gitignore |    7 +++++++
 3 files changed, 38 insertions(+), 1 deletions(-)

commit ecf2cb496e3815a0b54270888e0710b20b47ba0d
Author: A S Alam <aalam@users.sf.net>
Date:	Thu Aug 18 06:44:02 2011 +0530

    update translation for Punjabi

 po/pa.po | 1128
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 594 insertions(+), 534 deletions(-)

commit 2021c145e0c5eb6aa9eda91d58d54b13007113ad
Merge: d3e8563 dc7080f
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Thu Aug 18 10:10:00 2011 +1000

    Merge branch 'log-window-webview'

commit d3e8563fe9b3d3c0b5ee5f225964b8078e18d1e6
Author: Fran Dieguez <fran@openhost.es>
Date:	Thu Aug 18 02:00:25 2011 +0200

    Updated Galician translations

 help/gl/gl.po | 4319
 +++++++++++++++------------------------------------------
 1 files changed, 1142 insertions(+), 3177 deletions(-)

commit 96174dd10b0fd5f43656d582d5ecb2b4877641a8
Author: Javier Jardón <jjardon@gnome.org>
Date:	Tue Aug 16 17:21:14 2011 +0100

    configure.ac: Generate xz tarballs with ustar format by default

 configure.ac |    6 +++---
 release.py   |    7 ++-----
 2 files changed, 5 insertions(+), 8 deletions(-)

commit 12b920d355e4a8be744cd820dcbf2354f7cd6d49
Author: Javier Jardón <jjardon@gnome.org>
Date:	Tue Aug 16 17:19:04 2011 +0100

    configure.ac: Use upstream gettext instead the glib one

 configure.ac |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 641eee8befe742a34cd872fc1378cce99622fd90
Author: Javier Jardón <jjardon@gnome.org>
Date:	Tue Aug 16 17:18:03 2011 +0100

    build: Update autotools config a bit

    Replace deprecated autoconf macros
    Use new libtool syntax

 Makefile.am  |    2 +-
 configure.ac |   41 ++++++++++++++++++++++++++---------------
 2 files changed, 27 insertions(+), 16 deletions(-)

commit dc7080f5071a9130bbd9288b50f807b41a5f9864
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Wed Aug 17 15:44:22 2011 +1000

    Use context menu utility in log viewer

 libempathy-gtk/empathy-log-window.c |	 30 +++++++++++++++++++++++++-----
 1 files changed, 25 insertions(+), 5 deletions(-)

commit 1ba7c298c282b4775c29c80214009876e943648d
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Wed Aug 17 15:37:09 2011 +1000

    Factor out WebKit context menu as a utility

 libempathy-gtk/empathy-theme-adium.c  |  121
 +----------------------------
 libempathy-gtk/empathy-webkit-utils.c |  136
 +++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-webkit-utils.h |    6 ++
 3 files changed, 145 insertions(+), 118 deletions(-)

commit 434e50f056b8f3cb5043bf478f2716d7bc2c4cad
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Aug 17 01:45:28 2011 +0200

    Updated Spanish translation

 po/es.po |  375
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 201 insertions(+), 174 deletions(-)

commit afe59f99f61e73298c7020b4eb36e16152df08e7
Author: Fran Dieguez <fran@openhost.es>
Date:	Tue Aug 16 19:17:27 2011 +0200

    Updated Galician translations

 po/gl.po |  390
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 208 insertions(+), 182 deletions(-)

commit 8e1fa68d047f6e05145815490d37eaaa5c18ec8a
Author: Andika Triwidada <andika@gmail.com>
Date:	Tue Aug 16 21:44:12 2011 +0700

    Updated Indonesian translation

 po/id.po | 2869
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1557 insertions(+), 1312 deletions(-)

commit 04fb4922da622924282b8a6321587b89e1168aaf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Tue Aug 16 16:40:39 2011 +0200

    Updated Norwegian bokmål translation.

 po/nb.po |  382
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 205 insertions(+), 177 deletions(-)

commit 3b7cad12fe7c90afee27e25b97a748e3195d5e88
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 15:26:44 2011 +0100

    CallWindow: move preview rectangles on top of remote video

 src/empathy-call-window.c |   26 ++++++++++++++++++++++++--
 1 files changed, 24 insertions(+), 2 deletions(-)

commit 775cada033b7430eadee1dedbef519c584b1f81b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 16 16:31:50 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 87ccb908bf268d2807fd7680c09725d614264d2c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 16 14:51:05 2011 +0200

    prepare 3.1.5

 NEWS	      |   60
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    4 +-
 2 files changed, 62 insertions(+), 2 deletions(-)

commit c4cfe9bec8232e6265c507135fcf94947c485083
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 16 14:50:06 2011 +0200

    coding style fix

 src/empathy-preferences.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c613ffe9a51cd7cf7abe6c412cda534db5fc42a3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 12:11:19 2011 +0100

    CallWindow: add some padding to the dialpad

 src/empathy-call-window.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e239157c776847fc577662752a5b49cd559b4a38
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 12:56:12 2011 +0100

    Use AC_ARG_ENABLE with --enable-*

 configure.ac |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 31ff17d78a1ab727dad9ed67e4ed6948ff118966
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 12:34:19 2011 +0100

    CallWindow: fix typo

    https://bugzilla.gnome.org/show_bug.cgi?id=656571

 src/empathy-call-window.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit c469fd154c871be294b4dd1f0ddffacf112ef454
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 00:09:13 2011 +0100

    Don't show empathy-call preferences when not building empathy-call

    https://bugzilla.gnome.org/show_bug.cgi?id=656582

 src/empathy-preferences.c  |	 9 +++++++++
 src/empathy-preferences.ui |	 4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 897bfbce7f3333362e2dd16bb5e4986aa8fa64cd
Merge: b5f6788 6ac9f42
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Tue Aug 16 12:21:58 2011 +0100

    Merge branch 'blockade'

    https://bugzilla.gnome.org/show_bug.cgi?id=656167

commit b5f6788106bbd8c3e06fef09edb533812114afa7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 01:02:18 2011 +0100

    Get the preview position from preview_pos

    Getting it from the coordinates might fail if the system
    is too slow and gives us bad coordinates.

    https://bugzilla.gnome.org/show_bug.cgi?id=656572

 src/empathy-call-window.c |	8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit f513e634f70f65fb5d3cc947ef139a89ac98f4b4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 00:44:46 2011 +0100

    Add some space between the status and the end of the toolbar

    https://bugzilla.gnome.org/show_bug.cgi?id=656571

 src/empathy-call-window.ui |	 6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d7c83fa38cb8ce5f60e8fc7a8781ddc1f21a5acc
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 16 00:41:56 2011 +0100

    Display the preview video button in the preview corner

    https://bugzilla.gnome.org/show_bug.cgi?id=656571

 src/empathy-call-window.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 3a9a3210bbf8e927ef64510d066c035aa60a8a50
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	Sun Jul 24 17:05:15 2011 +0100

    Bug 655212 — Update for libfolks API changes to AvatarDetails

    Folks' AvatarDetails.avatar is now a GLoadableIcon rather than
    a GFile.
    Closes: bgo#655212

    https://bugzilla.gnome.org/show_bug.cgi?id=655212

 configure.ac			   |	2 +-
 libempathy-gtk/empathy-ui-utils.c |  140
 ++++++++++++++++++++++++++----------
 2 files changed, 102 insertions(+), 40 deletions(-)

commit ede83c3b09c25b9e08c0aa54d842d844b582e0d8
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 16 16:15:38 2011 +1000

    Allow clicking on a row to select the contact

    Does not currently highlight the row.

 data/empathy-log-window.html	     |	 26 ++++++++-
 libempathy-gtk/empathy-log-window.c |	112
 ++++++++++++++++++++++++++---------
 2 files changed, 108 insertions(+), 30 deletions(-)

commit 9d1f95bebe28683a23f56568539ee2c56655b80c
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 16 13:55:56 2011 +1000

    Reimplement scrollToRow

    N.B. This has not been properly tested, because I'm not actually
    sure how to
    exhaust this codepath.

 data/empathy-log-window.html	     |	 25 +++++++++++++++++++++++
 libempathy-gtk/empathy-log-window.c |	 37
 +++++++++++++++++++++-------------
 2 files changed, 48 insertions(+), 14 deletions(-)

commit 6cf57d879945059cd974a3ee6d02d81edff47438
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 16 13:38:23 2011 +1000

    Make WebKit compulsory

    It is now required for the log viewer, furthermore it will be
    required once
    we remove non-adium themes.

 configure.ac				|   28 +----------------------
 libempathy-gtk/Makefile.am		|   37
 +++++++++----------------------
 libempathy-gtk/empathy-log-window.c	|    1 -
 libempathy-gtk/empathy-theme-manager.c |   21 ------------------
 src/Makefile.am			|    5 +---
 src/empathy-preferences.c		|    7 ------
 6 files changed, 14 insertions(+), 85 deletions(-)

commit 4c885dc6363f2eea8a23611a994ce8a88d4675be
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 15:19:10 2011 +0200

    audio-sink: check if sink implements the GstStreamVolume interface

 src/empathy-audio-sink.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit f30d87c84aa426407521c619702277de754e4bb5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 15:13:27 2011 +0200

    manually build the GstStructure

 libempathy-gtk/empathy-call-utils.c |	 16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit 0294f04c51a60c155e20a4e5210a8ddd69358ba9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 14:59:41 2011 +0200

    Get the env variable in create_{src,sink} directly

 src/empathy-audio-sink.c |    7 +++++--
 src/empathy-audio-src.c  |    7 +++++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 5cf00f4b947ee9ff59abb4e0054bb54449cde916
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 12:27:22 2011 +0200

    Enable echo cancellation if needed

 libempathy-gtk/empathy-call-utils.c |	 18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

commit 4121205c56393f8d51d59237adb001c108628365
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 12:15:25 2011 +0200

    Add Echo cancellation preference

 data/org.gnome.Empathy.gschema.xml.in |    5 +++++
 libempathy/empathy-gsettings.h        |    1 +
 src/empathy-preferences.c	       |    8 ++++++++
 src/empathy-preferences.ui	       |   13 +++++++++++++
 4 files changed, 27 insertions(+), 0 deletions(-)

commit be5274444c54eb5c529e592d130e362fd1728b4d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 11:23:35 2011 +0200

    Use gst_parse_bin_from_description() when EMPATHY_AUDIO_* vars are set

    Also factor out empathy_call_set_stream_properties().

 libempathy-gtk/empathy-call-utils.c |	 11 ++++++++
 libempathy-gtk/empathy-call-utils.h |	  4 +++
 src/empathy-audio-sink.c	     |	 47
 +++++++++++++++++++++++-----------
 src/empathy-audio-src.c	     |	 47
 ++++++++++++++++++++++++----------
 4 files changed, 80 insertions(+), 29 deletions(-)

commit 7e9166e6711d15a28bb679a1aeed3223134f2388
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 11:04:24 2011 +0200

    Set stream-properties on GStreamer elements to set the media role

 src/empathy-audio-sink.c |   10 ++++++++++
 src/empathy-audio-src.c  |    9 +++++++++
 src/empathy-av.c	  |    1 -
 src/empathy-call.c	  |    1 -
 4 files changed, 19 insertions(+), 2 deletions(-)

commit 8f7a0a9cce1f8e08d4a50cc181d8a11ce3b48ec1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 15 09:44:28 2011 +0200

    Use pulesink as audio sink

    As we did for puslesrc, this can still be overriden with an env
    variable for
    debuging purposes.

    Relying on pulse allows us to remove all the software volume control
    logic.

 src/empathy-audio-sink.c |  245
 ++++++++--------------------------------------
 1 files changed, 40 insertions(+), 205 deletions(-)

commit 80c90eb2c847fe095eca1f741a4cfa772ec388a8
Merge: d6be6c7 aeb15b7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 13:32:40 2011 +0100

    Merge branch 'move-video-preview-656268'

commit d6be6c7eb33dbd96e4c8f72369b9a9816fc23492
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 12:07:47 2011 +0100

    CameraMenu: don't crash if there are no cameras

 src/empathy-camera-menu.c |	7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 9a592ec3ab386ef2f959fb9737ab85c760c03324
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 11:33:25 2011 +0100

    CameraMenu: use empathy_camera_monitor_new()

    We want to get a new object so that we get ::added upon
    construction for all the cameras. With _dup_singleton() we may
    get an existing object, which would have already fired the
    initial set of ::added signals.

 src/empathy-camera-menu.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 624bbe7ac793e34aa9b0db0122b973eadd218770
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 11:29:59 2011 +0100

    CameraMonitor: add empathy_camera_monitor_new()

    Which doesn't return a singleton but a new object.

 libempathy/empathy-camera-monitor.c |	 48
 ++++++++++++++++-------------------
 libempathy/empathy-camera-monitor.h |	  1 +
 2 files changed, 23 insertions(+), 26 deletions(-)

commit b01f42247694b992c91fefab5c70acdfa3770051
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 11:15:40 2011 +0100

    CameraMenu: select the first camera if the last one isn't available

 src/empathy-camera-menu.c |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 64b8693b800d880aee7f16e5b353f239a24e02fa
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 11:06:51 2011 +0100

    CameraMonitor: dynamically-allocate the queue

 libempathy/empathy-camera-monitor.c |	 25 +++++++++++++++++--------
 1 files changed, 17 insertions(+), 8 deletions(-)

commit 0e00979f11c465a755b9dd29b2247a8f3ec1c51d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 12:34:55 2011 +0100

    CallWindow: add a 'Swap camera' item to the preview menu

 src/empathy-call-window.c  |	69
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-call-window.ui |	 8 +++++
 2 files changed, 77 insertions(+), 0 deletions(-)

commit 25504e2ad3be8e09f12fe9d712be67af11d0c605
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 10:01:46 2011 +0100

    CameraMenu: restore the last selected camera on creation

 src/empathy-camera-menu.c |	5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 919c1868d7fff7d74ca3fc17f24a6cbaa3e097de
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 09:53:23 2011 +0100

    CameraMenu: track changes to the camera key

    And store changes from the menu itself in GSettings.

 src/empathy-camera-menu.c |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit 1c67fe35b022071ff9c5af15a54e8cd495ea3280
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 09:52:36 2011 +0100

    Add a GSettings key for the default camera

 data/org.gnome.Empathy.gschema.xml.in |    5 +++++
 libempathy/empathy-gsettings.h        |    1 +
 2 files changed, 6 insertions(+), 0 deletions(-)

commit c9883b1b7038306e88877a4998226412c23ed55c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 17:29:22 2011 +0100

    CallWindow: add a menu to change the camera

    https://bugzilla.gnome.org/show_bug.cgi?id=599167

 src/Makefile.am	    |	 2 +
 src/empathy-call-window.c  |	18 ++-
 src/empathy-call-window.h  |	 2 +
 src/empathy-call-window.ui |	14 ++
 src/empathy-camera-menu.c  |  331
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-camera-menu.h  |	56 ++++++++
 6 files changed, 417 insertions(+), 6 deletions(-)

commit aed7faf9c81e1ca54398d16988b890322bf09889
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 17:27:47 2011 +0100

    VideoSrc: add API to get the input device

 src/empathy-video-src.c |   11 +++++++++++
 src/empathy-video-src.h |    1 +
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 2f459725f01467f9352335024b4b51e02fe73a59
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 13:14:09 2011 +0100

    VideoSrc: add API to change the input device

 src/empathy-video-src.c |   13 +++++++++++++
 src/empathy-video-src.h |    3 +++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit 37b150da114880f2af274733ba32580d0a90902f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 12:46:03 2011 +0100

    VideoSrc: use v4l2src instead of gconfvideosrc

 src/empathy-video-src.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9ee3b4ee8188f9ab48823c404f7d138acc517b02
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 12:05:46 2011 +0100

    CameraMonitor: add ::added and ::removed signals

 libempathy/empathy-camera-monitor.c |	 27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 2ea5aa82155ce47ca9a91f5fa1a97b0610a487a3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 11:11:19 2011 +0100

    CameraMonitor: make EmpathyCamera a boxed type

 libempathy/empathy-camera-monitor.c |	  9 +++++++++
 libempathy/empathy-camera-monitor.h |	  3 +++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit ab58c837e285f16b639444865c47c0bc286ed4e7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 1 11:58:03 2011 +0100

    CameraMonitor: add API to get all cameras

 libempathy/empathy-camera-monitor.c |	 71
 +++++++++++++++++++++++++++++++++++
 libempathy/empathy-camera-monitor.h |	  9 ++++
 2 files changed, 80 insertions(+), 0 deletions(-)

commit aeb15b72319f26a86ab30236013a11e6a611e05c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 12:58:48 2011 +0100

    Don't define the same thing twice

 src/empathy-call-window.c |   42
 ++++++++++++++++++++----------------------
 1 files changed, 20 insertions(+), 22 deletions(-)

commit f682f5076d65a3cc582493d340f409153503f9fe
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 12:56:45 2011 +0100

    CallWindow: add extra bottom margin for the floating toolbar

    Otherwise the rectangles will be on top of the toolbar.

 src/empathy-call-window.c |   46
 +++++++++++++++++++++++++++++++-------------
 1 files changed, 32 insertions(+), 14 deletions(-)

commit 253837eb32f9fb2ab2b6cd8e60fb8880d04ba016
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 16:51:45 2011 +0100

    CallWindow: create the rectangles after the avatar

    As we want them to be on top of the avatar when they're shown.

 src/empathy-call-window.c |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5e685d03af4b3f278236c27420a12302ea76e736
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 16:34:28 2011 +0100

    empathy-call: add COGL and Clutter option groups

 src/empathy-call.c |	 4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f0eb3e344d09a63de219f71df85cbc2c8135cbd8
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 11:10:14 2011 +0100

    Use self->priv->preview_pos to determine the preview position

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |	5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 4966277ef79ce962260764ed32408b5c1c73ddb9
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:37:46 2011 +0100

    Darken the rectangles when starting a drag operation

    So that if we have just dragged it, the rectangle where
    it was before isn't highlighted.

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 724eac592d90da4e169adb7b675845650d9d770b
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:32:09 2011 +0100

    Don't darken the preview when dragging it

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   33 +++++++++++++++++++++++++--------
 1 files changed, 25 insertions(+), 8 deletions(-)

commit ca2cb730d68620a638ef41d09cd25984e6cb4008
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:27:10 2011 +0100

    Highlight the preview when hovered

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   43
 ++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 42 insertions(+), 1 deletions(-)

commit c0a10ef3094f82a9d0532e942b0b27d7f34f0201
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:16:40 2011 +0100

    Factor out empathy_call_window_darken_preview_rectangle

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   37 +++++++++++++++++--------------------
 1 files changed, 17 insertions(+), 20 deletions(-)

commit 30d64de5341a8701ddfd3be24071846de82e121f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:14:25 2011 +0100

    Factor out empathy_call_window_get_preview_rectangle

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   46
 +++++++++++++++++++++++++++-----------------
 1 files changed, 28 insertions(+), 18 deletions(-)

commit 2848d12da55d0c4c9016d8f355ed9d1343e0f2e7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 10 10:13:13 2011 +0100

    Move empathy_call_window_get_preview_position around

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   84
 ++++++++++++++++++++++----------------------
 1 files changed, 42 insertions(+), 42 deletions(-)

commit 47f4a650200c9692f4b5e480b60f28ab309aecb4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 9 16:16:13 2011 +0100

    CallWindow: highlight drop zones when hovered

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   85
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 85 insertions(+), 0 deletions(-)

commit c3b3b11b227dd8add44c83c264b79b8c9168f94d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 9 15:34:44 2011 +0100

    Factor out empathy_call_window_get_preview_position()

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   24 ++++++++++++++++++------
 1 files changed, 18 insertions(+), 6 deletions(-)

commit 9fba3fff14e9628c46f667ca1022e0af46693cb2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 9 14:01:40 2011 +0100

    CallWindow: show drop zones when dragging the preview

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |   85
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 85 insertions(+), 0 deletions(-)

commit 6526ece345726300c7ab0c2b3c46c4bd2795a6ed
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 17:54:50 2011 +0100

    CallWindow: allow to move the video preview

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |  103
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 103 insertions(+), 0 deletions(-)

commit e5658d67a38612c727091d7e91f9477333047870
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 16:15:05 2011 +0100

    CallWindow: add top and right margin to the preview container

    So that when it's placed on another corner, it still has some
    margin.

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call-window.c |	8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit c5426c1a22ed0f16bd742bda88fb8a6740f2c9ee
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 9 10:54:16 2011 +0100

    empathy-call: call gdk_disable_multidevice()

    Clutter needs this, and gtk_clutter_init() calls it, but
    g_option_context_parse() initializes GTK+ when parsing
    GTK+ options so it's too late for us then.

    https://bugzilla.gnome.org/show_bug.cgi?id=656268

 src/empathy-call.c |	 3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6881301b5474f90a297b07aa63156d71171f2621
Merge: 8153737 0bfcc41
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 15 11:55:44 2011 +0100

    Merge branch 'clutter-toolbar'

commit 81537370686d895951625498a7c2b21d854bc384
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 17:45:50 2011 +0100

    CallWindow: get the mic volume upon init

    Otherwise it'll be zero and when we unmute the mic, we'll
    set the volume to zero as we won't know the old value.

    https://bugzilla.gnome.org/show_bug.cgi?id=656415

 src/empathy-call-window.c |	5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 7660dd99c14c92e097eceade559297b8d569e34d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 14:45:50 2011 +0100

    CallWindow: fix toggling the microphone on and off

    We are changing the GSettings key, and also listening to changes
    on it and reacting to them, but we don't want to react to our own
    changes!

    https://bugzilla.gnome.org/show_bug.cgi?id=656415

 src/empathy-call-window.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 8263f671cd8a38e6e0259e50610bca20cab2e19f
Author: Ngô Chin <ndtrung4419@gmail.com>
Date:	Sat Aug 13 09:56:17 2011 +0700

    Updated Vietnamese translation

 po/vi.po |  602
 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 248 insertions(+), 354 deletions(-)

commit 8280cb539675088f1aff1950c173c6efe41af6cd
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	Thu Aug 4 09:21:15 2011 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 2126
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1366 insertions(+), 760 deletions(-)

commit c406ac51c0290f4c35a2037d9f06c14ab485937a
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	Sat Aug 13 02:45:21 2011 +0430

    Updated Persian translation

 po/fa.po | 2063
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1310 insertions(+), 753 deletions(-)

commit 0bfcc411b56b617a1b80589a7f686e506496b259
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 14:32:53 2011 +0100

    Update the constraint when the stage allocation changes

    Instead of when the box does, to avoid a warning.

 src/empathy-call-window.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 46e0d580594711e418517c2fb355247129b256f2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 14:19:01 2011 +0100

    CallWindow: raise the toolbar when showing the preview

    So that one can click the toolbar buttons.

 src/empathy-call-window.c |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6662829273d54e291e90490fdaca8df4e2f6eab7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 12 13:57:55 2011 +0100

    CallWindow: make the preview margin a define

 src/empathy-call-window.c |	5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 1ad217678f139258b4e1e17768afa7738fcd1fdf
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 12:27:44 2011 +0100

    Move the video preview up

    So it's not on top of the floating toolbar.

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/empathy-call-window.c |	4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 64cc0a8dee6e2cc1543522d42121e3c51bb92979
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 10:08:00 2011 +0100

    Make the floating toolbar have rounded corners

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/empathy-call-window.c |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 973617fcf740560ccd6c61bf3d63657d0875191c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 10:03:40 2011 +0100

    Add a GtkClutterActor subclass that clips the corners

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/Makefile.am	     |	  4 ++-
 src/empathy-rounded-actor.c |	 68
 +++++++++++++++++++++++++++++++++++++++++++
 src/empathy-rounded-actor.h |	 63
 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 134 insertions(+), 1 deletions(-)

commit bb86b135b0a6df4657105d8e78d64b363d4ac292
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 11:42:47 2011 +0100

    CallWindow: show the toolbar when on fullscreen

    And also hide it after 3s of inactivity.

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/empathy-call-window.c |	3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit b5ff8b1df70a7c9eee4364b7aa2aacd6a3b9ec6a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 11:29:13 2011 +0100

    CallWindow: hide the toolbar after 3s of inactivity

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/empathy-call-window.c |   66
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

commit f18a045b7da82147d7b7c5c3c2dc0418b7241160
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Aug 5 10:17:09 2011 +0100

    CallWindow: make the toolbar float inside the window

    https://bugzilla.gnome.org/show_bug.cgi?id=656150

 src/empathy-call-window.c  |	55
 ++++++++++++++++++++++++++++++++++++++++---
 src/empathy-call-window.ui |	19 +++++++++-----
 2 files changed, 63 insertions(+), 11 deletions(-)

commit 1560313cdfafa660b7400f44217a8741785e3103
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:	Fri Aug 12 12:21:45 2011 +0200

    Properly check if the backlog flag is set

    The backlog flag should be TRUE or FALSE, so the check for the flag
    should result in either of those two values, not some other non-false
    value

 libempathy/empathy-message.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit d5024011258a052ea3b88e95d0098f3901bb98cc
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 12 08:47:48 2011 +1000

    Style fix

 libempathy-gtk/empathy-log-window.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 685bb62da9769032c883cebfe7fb5aa2c0e94f83
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 12 08:43:05 2011 +1000

    Remove some commented-out debugging

 data/empathy-log-window.html |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 3dfc7d6b26f17b0b00762b3fe7b509d7be73b30f
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 12 08:42:04 2011 +1000

    Remove unused variable

 libempathy-gtk/empathy-log-window.c |	  2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 18dca3647b1b179bfc83269934f08a91f5e422df
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Wed Aug 10 15:16:20 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  792
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 422 insertions(+), 370 deletions(-)

commit 257b17688d9a2ca20d24800d34e9d2cda7bab740
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 11:34:26 2011 +0100

    LogWindow: don't crash if there are logs from the future

    https://bugzilla.gnome.org/show_bug.cgi?id=656065

 libempathy-gtk/empathy-log-window.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e9ba3819abea368201c6f8bd90ccfb134fc6e445
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Aug 8 11:58:06 2011 +0100

    CallWindow: don't set the title for multiple participants

    We don't support that yet, the string is wrong, and
    priv->contact can't be NULL anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=655478

 src/empathy-call-window.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dab1360f7fbbec5237a038022671532012cdae92
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	Tue Aug 9 20:16:37 2011 +0200

    Updated Slovenian translation

 help/sl/sl.po |   53
 -----------------------------------------------------
 1 files changed, 0 insertions(+), 53 deletions(-)

commit dccd3368d1ee4d4cf4c96628f81ba4bd184e7461
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 14:44:04 2011 +1000

    Remove old code

 libempathy-gtk/empathy-log-window.c |	 15 ---------------
 1 files changed, 0 insertions(+), 15 deletions(-)

commit a5992fcfddf42b53ef8d6446b824780512f529b9
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 14:37:16 2011 +1000

    Set the primary toolbar style

 libempathy-gtk/empathy-log-window.ui |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 14ccd126b65741b4e5f9575cc0ddd6d371d40b9d
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 14:32:30 2011 +1000

    Toggle the expander on row double click

 data/empathy-log-window.html |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 14899f2d17dd5943b28fb83e79aa998125159fff
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 14:21:35 2011 +1000

    Add icons to the new log viewer

 data/empathy-log-window.html	     |	 26 ++++++++++++++++++++++----
 libempathy-gtk/empathy-log-window.c |	 22 ++++++++++++++++++++--
 2 files changed, 42 insertions(+), 6 deletions(-)

commit 4133101266b116d34b04a69e9957c0502daf72e8
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 14:05:28 2011 +1000

    Add dates to new log viewer

 data/empathy-log-window.html	     |	 14 ++++++++++----
 libempathy-gtk/empathy-log-window.c |	  9 ++++++---
 2 files changed, 16 insertions(+), 7 deletions(-)

commit 356bb4555e3d1eacd8115cb8a8f0c91483055a52
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 11:50:33 2011 +1000

    Use the same font-setting utility for empathy-theme-adium

 libempathy-gtk/empathy-theme-adium.c |   77
 +++++++---------------------------
 1 files changed, 15 insertions(+), 62 deletions(-)

commit a23b86b6a47b06cc9b37cafd892b73229c2d97d3
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 11:41:11 2011 +1000

    Use this utility in the log viewer

    It should also be used for the Adium theme, but this also supports
    fonts
    specified in the Adium theme, which we need to support.

 data/empathy-log-window.html	     |	  7 +++++--
 libempathy-gtk/empathy-log-window.c |	  9 +++++++++
 libempathy/empathy-gsettings.h      |	  1 +
 3 files changed, 15 insertions(+), 2 deletions(-)

commit 3b97f8064e775fd770188b4f186da95706e205f8
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 9 11:40:53 2011 +1000

    Utility to set the webkit default font/size from GSettings

 libempathy-gtk/empathy-webkit-utils.c |   73
 +++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-webkit-utils.h |    4 ++
 2 files changed, 77 insertions(+), 0 deletions(-)

commit 6ac9f42fa93a79064c4b69828cc8354114f1b2f0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Mon Aug 8 23:46:55 2011 +0200

    tests: simplify running blocking dialog

    This is reminiscent of 8f42bd4.

 .../test-empathy-contact-blocking-dialog.c	    |	 9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 0f7e44ae1ea5a497083dc0982626b7f2cea7d36a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Mon Aug 8 23:43:42 2011 +0200

    Blocking: don't critical if ContactBlockingCapabilities is missing

    Haze has a deny list, and ostensibly implements ContactBlocking, but
    doesn't really implement that property.  Naughty Haze hackers. They
    should be blocked.

 libempathy/empathy-tp-contact-list.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit 5bc1c756d01ac49513534b302238da7558f0d607
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Mon Aug 8 18:06:19 2011 +0200

    Blocking dialog: use a sensible default size

    This is the same area as is used for the custom status dialog's
    scrolled
    window. The content area turns out very slightly smaller, because the
    area includes the tree view's header.

 libempathy-gtk/empathy-contact-blocking-dialog.ui |	2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 75e1fbc9e330e16c48a835e4f73d468b00c7b5b5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Mon Aug 8 18:04:47 2011 +0200

    Blocking dialog: Gnome 3-ify Remove button

 libempathy-gtk/empathy-contact-blocking-dialog.c  |   12 +++++++++++-
 libempathy-gtk/empathy-contact-blocking-dialog.ui |   21
 +++++++++++----------
 2 files changed, 22 insertions(+), 11 deletions(-)

commit 5846186ace8c9e513aef0eb5ec9f13a61cdb4424
Author: Daniel Nylander <po@danielnylander.se>
Date:	Mon Aug 8 08:22:55 2011 +0200

    Updated Swedish translation

 po/sv.po |  263
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 139 insertions(+), 124 deletions(-)

commit daae637bdf6ea311c306eefe298e5760e2af22dc
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 8 11:15:06 2011 +1000

    Reimplement log_window_maybe_expand_events()

 data/empathy-log-window.html	     |	 19 +++++++++++++++++++
 libempathy-gtk/empathy-log-window.c |	 15 ++++++---------
 2 files changed, 25 insertions(+), 9 deletions(-)

commit c6837f3edb97b06d1aff8e4300d58653b9484713
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 8 11:14:49 2011 +1000

    Factor out toggleExpander()

 data/empathy-log-window.html |   43
 ++++++++++++++++++++++++-----------------
 1 files changed, 25 insertions(+), 18 deletions(-)

commit 956d62f58fe91fae0d23073a94817ba49cb67849
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sun Aug 7 18:33:45 2011 +0200

    Updated Spanish translation

 po/es.po |  233
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 122 insertions(+), 111 deletions(-)

commit 7424ac01d5010aaa101c2b5841daf840b4d0e20c
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Sun Aug 7 13:17:31 2011 +1000

    Remove treeview_events -- make the webview the only viewing component

    Still some commented out code to reimplement.

 libempathy-gtk/empathy-log-window.c  |  166
 ++++++++++++----------------------
 libempathy-gtk/empathy-log-window.ui |    9 --
 2 files changed, 58 insertions(+), 117 deletions(-)

commit b66006f0aec620e60118442d9a6ba831f8498bf0
Author: Fran Dieguez <fran@openhost.es>
Date:	Sat Aug 6 21:59:56 2011 +0200

    Updated Galician translations

 po/gl.po | 1027
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 555 insertions(+), 472 deletions(-)

commit d288c06f151f808ddad326ba5d85d74e8de76ec0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Sat Aug 6 15:51:39 2011 +0300

    Updated Hebrew translation.

 po/he.po |  801
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 424 insertions(+), 377 deletions(-)

commit 8e839c45aea812bef072cc3365c58f366adc104e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 5 12:08:20 2011 +0200

    EmpathyContactChooser: remove EmpathyTpChat property

    It's not used any more and a generic widget shouldn't need it.

    https://bugzilla.gnome.org/show_bug.cgi?id=656020

 libempathy-gtk/empathy-contact-chooser.c |   61
 +-----------------------------
 libempathy-gtk/empathy-contact-chooser.h |    2 +-
 src/empathy-invite-participant-dialog.c  |    2 +-
 3 files changed, 3 insertions(+), 62 deletions(-)

commit 508d001793fdcb91dc6305c547a9b2f205acdad1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 5 12:00:31 2011 +0200

    Implement TpContact selection in EmpathyInviteParticipantDialog

    https://bugzilla.gnome.org/show_bug.cgi?id=656020

 libempathy-gtk/empathy-contact-chooser.c |   57
 ++----------------------------
 libempathy-gtk/empathy-contact-chooser.h |    2 +-
 src/empathy-invite-participant-dialog.c  |   12 ++++++-
 3 files changed, 15 insertions(+), 56 deletions(-)

commit 3aa8239213c026f5b09d50669f7a4a65c9906659
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 5 11:57:25 2011 +0200

    Implement filtering logic in EmpathyInviteParticipantDialog

    https://bugzilla.gnome.org/show_bug.cgi?id=656020

 libempathy-gtk/empathy-contact-chooser.c |   67 ++++++++-------------
 libempathy-gtk/empathy-contact-chooser.h |   11 ++++
 src/empathy-invite-participant-dialog.c  |   96
 ++++++++++++++++++++++++++++++
 3 files changed, 131 insertions(+), 43 deletions(-)

commit 820b5479bd14c6b408a3818f9bc287ad0a3e2fb8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Fri Aug 5 11:32:23 2011 +0200

    Add EmpathyContactChooser

    This is a pure code refactoring from EmpathyInviteParticipantDialog,
    this
    widget is not generic yet.

    https://bugzilla.gnome.org/show_bug.cgi?id=656020

 libempathy-gtk/Makefile.am		  |    2 +
 libempathy-gtk/empathy-contact-chooser.c |  493
 ++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-contact-chooser.h |   55 ++++
 src/empathy-invite-participant-dialog.c  |  410 +++----------------------
 4 files changed, 594 insertions(+), 366 deletions(-)

commit e15b7f70a43898e4978836fdf8efbed0bebeaea4
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Aug 5 14:43:00 2011 +1000

    Replace highlighting of search strings

 libempathy-gtk/empathy-log-window.c |	 47
 ++++------------------------------
 1 files changed, 6 insertions(+), 41 deletions(-)

commit d337ef853cc47ff78fbfa0ac54cf3d795832a2b7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Thu Aug 4 15:38:45 2011 +0200

    Allow to enter an email address as Yahoo ID

    https://bugzilla.gnome.org/show_bug.cgi?id=655959

 libempathy-gtk/empathy-account-widget.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit f9716e53331ccbd0725a14089ad30e9d6c84a463
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Aug 4 09:53:25 2011 +0100

    Make the #defines an static array

 src/Makefile.am	   |	2 ++
 src/empathy-call-window.c |	8 ++++++--
 src/empathy-preferences.c |   40 ++++++++++++++++++++++++++--------------
 src/empathy-preferences.h |   12 ++++--------
 4 files changed, 38 insertions(+), 24 deletions(-)

commit 2e7a0efc837d4b38290dffbd04a1c9d70df64db2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 16:49:10 2011 +0100

    Use the new enum everywhere

    And use strings for the --show-preferences argument.

 src/empathy-call-window.c |	4 +++-
 src/empathy-main-window.c |	6 +++---
 src/empathy-main-window.h |	2 +-
 src/empathy-preferences.c |   31 +++++++++++++++++++++++++++----
 src/empathy-preferences.h |   12 +++++++++---
 src/empathy.c		   |   10 +++++-----
 6 files changed, 48 insertions(+), 17 deletions(-)

commit d801233c1f25596c429d75d03ec6282d1b3828e2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 16:24:38 2011 +0100

    Preferences: add an enum for all the tabs

 src/empathy-preferences.h |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 263c241c69eb0842447899d3097f1c0500b066b0
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 15:48:47 2011 +0100

    CallWindow: go to the Calls tab when opening the preferences

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ea5743214b87e35e92b867485d9c5a0f8b5e272
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 15:48:18 2011 +0100

    Allow to specify the tab to open in the preferences

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-main-window.c |	9 +++++++--
 src/empathy-main-window.h |	3 ++-
 src/empathy.c		   |   34 +++++++++++++++++++++++++++++-----
 3 files changed, 38 insertions(+), 8 deletions(-)

commit 07f472213136ac29908a323a9d7612894c7ee5b4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 13:11:03 2011 +0100

    Preferences: add empathy_preferences_show_tab()

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-preferences.c |	9 +++++++++
 src/empathy-preferences.h |	3 +++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit fd22fd115db8b22a4885402a9cd7c8b846de01ec
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 12:47:31 2011 +0100

    CallWindow: show Empathy.Call when opening the debug window

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 448ee1db1054f99169b09d357a8da4e5f992af26
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 12:45:39 2011 +0100

    empathy-debugger: add a command line option to show a service

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-debugger.c |   50
 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 49 insertions(+), 1 deletions(-)

commit e58bcfb19122660374ec83f9e06cbc92f97908f4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 12:15:28 2011 +0100

    DebugWindow: add function to change the service to show

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-debug-window.c |	60
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-debug-window.h |	 3 ++
 2 files changed, 63 insertions(+), 0 deletions(-)

commit 55c0b12101a314d838aa0ba5c6a6d741063c540f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 11:27:00 2011 +0100

    Factor out empathy_launch_program()

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 libempathy-gtk/empathy-ui-utils.c |   52 +++++++++++++++++++++++
 libempathy-gtk/empathy-ui-utils.h |	4 ++
 src/empathy-accounts-dialog.c	   |   54 ++++--------------------
 src/empathy-call-window.c	   |   83
 +------------------------------------
 src/empathy-main-window.c	   |   37 +----------------
 5 files changed, 67 insertions(+), 163 deletions(-)

commit f27e9f59c9b21d4097a805abe24a769446c2351f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 09:12:15 2011 +0100

    CallWindow: add a Settings menu item

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c  |	49
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-call-window.ui |	 8 +++++++
 2 files changed, 57 insertions(+), 0 deletions(-)

commit 1cffe8f59e31c60f69369f7a636757c3d7fabeca
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Aug 3 08:47:08 2011 +0100

    Add a command line option to Empathy to show the preferences

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy.c |   42 +++++++++++++++++++++++++++++++++++++++---
 1 files changed, 39 insertions(+), 3 deletions(-)

commit 4f8ce5f258a290f00fc0ebbf13f5e3db3b0b45bd
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 16:40:51 2011 +0100

    MainWindow: add API to show the preferences window

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-main-window.c |   12 +++++++++---
 src/empathy-main-window.h |	2 ++
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 726b480efacd222976fe99200598b294ff8686b8
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 13:26:11 2011 +0100

    CallWindow: add a 'Call log' menu

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c  |	46
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-call-window.ui |	 7 ++++++
 2 files changed, 53 insertions(+), 0 deletions(-)

commit d89a90c582166d20b9a5c165d5784e434fc1de7f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 13:15:57 2011 +0100

    CallWindow: add a Help->About menu

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/Makefile.am	    |	 2 ++
 src/empathy-call-window.c  |	 9 +++++++++
 src/empathy-call-window.ui |	 7 +++++++
 3 files changed, 18 insertions(+), 0 deletions(-)

commit 1132cbda320d086176a0228f3addf5f7288ef080
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 13:00:09 2011 +0100

    CallWindow: add a Help->Contents menu

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c  |	 8 ++++++++
 src/empathy-call-window.ui |	17 +++++++++++++++++
 2 files changed, 25 insertions(+), 0 deletions(-)

commit 09626bb08d6bcbb5c4ff14ea696282754ab7e93c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 12:45:14 2011 +0100

    CallWindow: remove the hangup menu item

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.c  |	 1 -
 src/empathy-call-window.ui |	 8 --------
 2 files changed, 0 insertions(+), 9 deletions(-)

commit 0404fd4231774bd98607afb1f8cf11f8e20b8a60
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Aug 2 12:44:46 2011 +0100

    CallWindow: move 'Fullscreen' to the Call menu

    https://bugzilla.gnome.org/show_bug.cgi?id=655884

 src/empathy-call-window.ui |	24 ++++++++----------------
 1 files changed, 8 insertions(+), 16 deletions(-)

commit 622e7763577c4757aa0cc76a3b802ca12f727afa
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Jul 26 11:08:04 2011 +0100

    Dialpad: show an entry with the entered numbers

 libempathy-gtk/empathy-ui-utils.c |   33
 +++++++++++++++++++++++++++++++--
 1 files changed, 31 insertions(+), 2 deletions(-)

commit b4edfbf863ba2d74cec7fbf7375c53237f20cd84
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Aug 4 09:30:33 2011 +0200

    Updated Spanish translation

 po/es.po |  102
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 55 insertions(+), 47 deletions(-)

commit 79de445e7b21747cbc7893737a5d6756da184274
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Thu Aug 4 12:14:11 2011 +1000

    Support smileys in log viewer

 libempathy-gtk/empathy-log-window.c |	 11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 8499ac3767f88cd923551dde06b279337771db04
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 13:00:07 2011 +0100

    CallWindow: don't close the window when hanging up

    As one may want to redial.

 src/empathy-call-window.c |	9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit a266ab626d10a421e852043443e3bb37adedba2f
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 12:29:59 2011 +0100

    CallWindow: show 'Mute' on the statusbar when muted

 src/empathy-call-window.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit f6c3b455a2e98002eeb02bcaf5cd2cf093aa6cc3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Aug 3 15:18:52 2011 +0200

    call-window: use the input-dialpad icon

    Thanks a lot to Jakub Steiner for this awesome icon.

 src/empathy-call-window.ui |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c95ad209dac0f21aed4a0b3943484aab60b98046
Author: Daniel Nylander <po@danielnylander.se>
Date:	Wed Aug 3 08:50:40 2011 +0200

    Updated Swedish translation

 po/sv.po |   84
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 41 deletions(-)

commit ef153cb591ba0965a5bd43ef843657ea4c1313e3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Tue Aug 2 16:15:13 2011 +0200

    empathy_send_file_with_file_chooser: keep on the contact while the
    dialog is running

    It's not safe to assume that the EmpathyContact stays alive.

 libempathy-gtk/empathy-ui-utils.c |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d15df005f0a8b8aced44bbe50d941ca5d5344c9c
Author: Alexey Fisher <bug-track@fisher-privat.net>
Date:	Tue Aug 2 13:09:36 2011 +0200

    empathy_server_sasl_handler_class_init: properly initialize the
    dispose function

    https://bugzilla.gnome.org/show_bug.cgi?id=655788

 libempathy/empathy-server-sasl-handler.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 33bd53d1d2997bb8bbfbedf3a947ce6ffc25a97d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Tue Aug 2 01:18:28 2011 +0200

    Updated Hungarian translation by Balázs Meskó <meskobalazs at
    gmail dot com>

 po/hu.po |  927
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 498 insertions(+), 429 deletions(-)

commit 4a863e0eec9a202385b1370d6e68bef47787f3cb
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Aug 2 08:38:03 2011 +1000

    Move signal disconnection earlier to hopefully fix SEGV

    I can't actually reproduce this, but this is possibly the fix.

    (Hopefully) Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=654914

 src/empathy-debug-window.c |	 6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f28483d938a0291f167b2e8f53e11c4d2ae3a6ec
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 1 17:41:34 2011 +0100

    preferences: update tab order

    This isn't pretty but I'm not sure if there's a better way of getting
    a specific tab from a GtkNotebook without using its order?

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

 src/empathy-preferences.c |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 400ff52437634aa1b615d4af0b51501bd3a14539
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 1 16:46:25 2011 +0200

    call-window: don't display labels in both toolbars

 src/empathy-call-window.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ca68a00de493734b1580864212c2be9d229d3f80
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 1 14:50:58 2011 +0200

    help/.gitignore: add eu translation of the doc

 help/.gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3c937a9ae1919a8d43fc8ed639676535fa09f615
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 1 14:50:04 2011 +0200

    sort help/.gitignore

 help/.gitignore |   34 ++++++++++++++++------------------
 1 files changed, 16 insertions(+), 18 deletions(-)

commit 7876debb7bc9b6232817e68f00eb2d7484fd034a
Merge: 4651fb3 e17e618
Author: Jonny Lamb <jonnylamb@gnome.org>
Date:	Mon Aug 1 13:48:32 2011 +0100

    Merge branch 'change-audio'

    Conflicts:
	src/empathy-call-window.c
	src/empathy-call-window.ui

    Signed-off-by: Jonny Lamb <jonnylamb@gnome.org>

commit 4651fb354e601f34dc9df08f2b506f765e455ead
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Mon Aug 1 13:10:35 2011 +0200

    chat_text_maybe_append_date_and_time: compute the right delta
    between timestamps

    The first argument of g_date_time_difference() should be the older
    timestamp.

    https://bugzilla.gnome.org/show_bug.cgi?id=654958

 libempathy-gtk/empathy-chat-text-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f84b8fa5a7f061cb5f82ed489e22f15ae2bc7cc
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 1 15:51:23 2011 +1000

    Handle links via external browser

 libempathy-gtk/empathy-log-window.c |	 19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 7565c39bfa0f118fb513c0af86a5ba0ef7976277
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 1 15:42:43 2011 +1000

    Add expander toggles

 data/empathy-log-window.html	     |	 66
 +++++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-log-window.c |	 23 ++++++++++++
 2 files changed, 89 insertions(+), 0 deletions(-)

commit 3b86a347cd3e859c427b7e596d949d6ce0094840
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 1 13:05:30 2011 +1000

    Use webkit-utils in LogWindow webview

 libempathy-gtk/empathy-log-window.c |	101
 +++++++++++++++++++---------------
 1 files changed, 56 insertions(+), 45 deletions(-)

commit e3d0a1862508fad3d16585b0210a2a9328453c2f
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 1 13:04:15 2011 +1000

    Abstract WebKit string parsers into empathy-webkit-utils

    This file is currently optionally built, but if the logviewer is
    going to
    depend on WebKit, maybe that's a bad idea? Maybe we should just
    make WebKit
    required (this will probably happen when we require Adium themes in
    the future).

 libempathy-gtk/Makefile.am	       |   13 ++++-
 libempathy-gtk/empathy-theme-adium.c  |   69 ++-----------------------
 libempathy-gtk/empathy-webkit-utils.c |   91
 +++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-webkit-utils.h |   32 ++++++++++++
 4 files changed, 137 insertions(+), 68 deletions(-)

commit d890a28335477c0e18cd68264467e7be45496388
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Aug 1 12:14:50 2011 +1000

    Copy fix for bug #625745 from empathy-theme-adium

 data/empathy-log-window.html |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 8d014e2a3b73644a51fa341a036a6df0221bc66d
Author: lainme <lainme993@gmail.com>
Date:	Sun Jul 31 18:11:52 2011 +0000

    Update Simplified Chinese help translation.

 help/zh_CN/zh_CN.po |	816
 +++++++++++++++++++++++++++++++++------------------
 1 files changed, 523 insertions(+), 293 deletions(-)

commit 04c2c076f2108ba9f4ecdb61cfbf1186a615c053
Author: Aron Xu <aronxu@gnome.org>
Date:	Sun Jul 31 18:09:16 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 1100
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 576 insertions(+), 524 deletions(-)

commit 744e20f3c770091c4b6c5162289e8585b3af9474
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	Sat Jul 30 19:15:57 2011 +0200

    Updated Slovenian translation

 help/sl/sl.po |  177
 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 91 insertions(+), 86 deletions(-)

commit d15a9c80aea57d2e0e155e89a8cf00f071c7e196
Author: Abel Motha <sedric@translate.org.za>
Date:	Fri Jul 29 22:37:22 2011 +0200

    Updated translation for Zulu (zu), reviewed by Priscilla Mahlangu

 po/zu.po | 2247
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1424 insertions(+), 823 deletions(-)

commit 8a2f7f90f8e679bc8019745c04ec3bdcbb8ca129
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Fri Jul 29 23:15:41 2011 +0300

    Uploaded Ukranian

 po/uk.po | 2247
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1305 insertions(+), 942 deletions(-)

commit 491e19da55c5b2ec44d86e5f929e0157fd7db3bc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Jul 29 19:58:29 2011 +0200

    Updated Spanish translation

 po/es.po |  614
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 320 insertions(+), 294 deletions(-)

commit e17e6184ca30b2164e7b30d1a35f504b87973400
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Fri Jul 29 18:54:40 2011 +0100

    audio-src: check for new enough pulsesrc before trying to change mics

    This means this feature will automatically start working when a new
    enough pulsesrc is used. Making _get_microphones() fail has a nice
    side-effect that the Edit menu item doesn't appear at all. Neat.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit cf7f9a1da8e7a830a0f0676accc0afa444ae8748
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Fri Jul 29 11:43:44 2011 +0100

    audio-src: update to newer GstPulseSrc API

    This time it's actually merged to master.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 89afdf6b8941ac525104cfb54f10174d6cb7dbcf
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Fri Jul 29 11:09:15 2011 +0100

    audio-src,mic-menu: use DEBUG macros

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    5 ++++-
 src/empathy-mic-menu.c  |    7 +++++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit a19f10561bf7ad86ff9f688f78df6a9df7a13899
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Fri Jul 29 11:06:25 2011 +0100

    audio-src: only call operations_run when PA is ready

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 302af77150e52cb625bc3e164808bd812979cc32
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Jul 28 15:29:44 2011 +0100

    mic-menu: display monitors when they're the current mic

    ...but otherwise hide them.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-mic-menu.c |   32 ++++++++++++++++++++++++++++----
 1 files changed, 28 insertions(+), 4 deletions(-)

commit 90eaac49d3f279ae20fa061adbe8ba9ac8aaf023
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Jul 28 15:24:19 2011 +0100

    audio-src: add is_monitor boolean to mic struct

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   10 +++++++---
 src/empathy-audio-src.h |    1 +
 src/empathy-mic-menu.c  |    1 +
 3 files changed, 9 insertions(+), 3 deletions(-)

commit a36214f589404b37c6125b0a3faa756f9e001cd6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Jul 28 12:45:21 2011 +0100

    call-window: add a Microphone menu to change mic on the fly

    Yay! Sorry this commit is kind of big with the addition of mic-menu,
    perhaps I should have added it in pieces.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/Makefile.am	    |	 4 +-
 src/empathy-call-window.c  |	 6 +
 src/empathy-call-window.ui |	16 ++
 src/empathy-mic-menu.c     |  392
 ++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-mic-menu.h     |	56 +++++++
 5 files changed, 473 insertions(+), 1 deletions(-)

commit 58df02da291709b265717d8bf2d196e4345ea2ba
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Jul 28 12:38:26 2011 +0100

    call-window: add getters for the UI manager and audio src

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-call-window.c |   16 ++++++++++++++++
 src/empathy-call-window.h |	5 +++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 0bc0f8fca1696826af50b21c7339164c61d55764
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Thu Jul 28 09:45:11 2011 +0100

    audio-src: don't ignore monitors

    pavucontrol doesn't...

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 7a58752393cb6ca9f55c2824ebab0c7a71311ff8
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 17:50:15 2011 +0100

    audio-src: add comment about values for unknown values

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit dbddd441789b9a5ed3ebde3f870b9337d0c82a47
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 17:49:41 2011 +0100

    audio-src: set property IDs properly

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d9c603695a6c04b2eae543e9339014873ac18812
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 17:44:21 2011 +0100

    audio-src: listen to PA state changes and signal accordingly

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |  118
 +++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 104 insertions(+), 14 deletions(-)

commit 204fa9e744560be4bc0fbafbc5af95a3cf6b3a12
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 17:24:58 2011 +0100

    src: give empathy-call sources to the marshal generator

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 01b0be54353820459d4741f2858be21207f7e754
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 13:21:49 2011 +0100

    audio-src: add some comments explaining the PA changes

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 1de1a894194a0fa355ef382783fa54f25ddca75c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 11:54:52 2011 +0100

    audio-src: add API for getting the mic source ID

    Also listen out for changes in the source output ID (but that'll only
    happen if we go READY -> NULL -> READY again).

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   68
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-audio-src.h |    2 +
 2 files changed, 70 insertions(+), 0 deletions(-)

commit 4188e80b75c38b4b1f35c3e560fff738cb60ccde
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	Fri Jul 29 16:09:24 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |	949
 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po |	949
 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 1002 insertions(+), 896 deletions(-)

commit ecebf1390aef9119c33275d2b700321d86a9a930
Author: Daniel Nylander <po@danielnylander.se>
Date:	Fri Jul 29 09:53:34 2011 +0200

    Updated Swedish translation

 po/sv.po |  678
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 349 insertions(+), 329 deletions(-)

commit e1ae13450cf3ad12df82bd6a2111eedd6d169ef7
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri Jul 29 14:23:21 2011 +1000

    Add a webview widget for displaying the log

    The widget is currently bolted in alongside the existing log display
    widget
    for comparison. This includes some debugging cruft like showing
    the secret
    notebook tabs.

    The webview is populated from the store_events treestore, allowing
    all of the
    existing node-management and ordering code to be used. Attempting
    to replace
    this logic in Javascript was demonstratably too hard. This approach
    keeps the
    Javascript code down to the 4 GtkTreeModel signals.

    TODO:
     - icons
     - pretty printed dates
     - expanders
     - supporting smileys, links, etc.
     - using the correct font, etc.
     - removing the debugging

 data/Makefile.am		     |	  5 +-
 data/empathy-log-window.html	     |	126
 +++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-log-window.c |	133
 +++++++++++++++++++++++++++++++++++
 3 files changed, 263 insertions(+), 1 deletions(-)

commit 59e3591a594df91e6b0cb48b23899e9dbecfc1dd
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Thu Jul 28 19:18:18 2011 +0200

    Added Basque language

 help/Makefile.am			 |    2 +-
 help/eu/eu.po				 | 3527
 +++++++++++++++++++++++++++++++
 help/eu/figures/empathy-main-window.png |  Bin 0 -> 10261 bytes
 3 files changed, 3528 insertions(+), 1 deletions(-)

commit b5963d80cd471e4e86ba5f18d6636032871aa0fe
Author: Felipe Borges <felipe10borges@gmail.com>
Date:	Thu Jul 28 10:09:49 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2004
 +++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1254 insertions(+), 750 deletions(-)

commit b1bfe6bfd06617dd1976a27bc8fc972b6ff62d69
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 10:43:32 2011 +0100

    CallWindow: pack the details box

    Even if we don't show it, so that the widgets exist and
    we don't assert.

 src/empathy-call-window.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e414085fdfc7ee1618b0402a17cc6a3858a26de2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 09:29:04 2011 +0100

    Show the percentage sign in the volume

 src/empathy-preferences.c  |	13 +++++++++++++
 src/empathy-preferences.ui |	 2 +-
 2 files changed, 14 insertions(+), 1 deletions(-)

commit 0b67a701c87a1defc2506a3cd4b1acda98dcea06
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 27 13:13:32 2011 +0100

    CallWindow: remove the sidebar

    And only leave the dialpad in its place.

 src/empathy-call-window.c  |  298
 +++++---------------------------------------
 src/empathy-call-window.ui |	15 +--
 2 files changed, 31 insertions(+), 282 deletions(-)

commit 70d6b206f2d40c136cb1d0d8701101ff8921a033
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 27 12:32:40 2011 +0100

    CallWindow: use the volume value from the preferences

    This also removes the 'Audio input' sidebar page, as all of
    it can now be found in the preferences.

 src/empathy-call-window.c |  100
 +++++++++-----------------------------------
 1 files changed, 21 insertions(+), 79 deletions(-)

commit bc537a1bb4f138dd71cd7dc411c10485f2cf96fa
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 27 12:20:54 2011 +0100

    Preferences: add a Calls tab

    It only contains the micro volume for now.

 src/empathy-preferences.c  |	12 +++
 src/empathy-preferences.ui |  167
 ++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 173 insertions(+), 6 deletions(-)

commit 6b6e6cad7fb240e7d61285c55f44224376c9cf63
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 27 12:20:02 2011 +0100

    Add a new gsettings key for the call volume

 data/org.gnome.Empathy.gschema.xml.in |    8 ++++++++
 libempathy/empathy-gsettings.h        |    3 +++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit f2f49d58f04cd06ac73015ca763aa1b17c74b89a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 28 10:17:10 2011 +0100

    CallWindow: use tp_g_signal_connect_object

    So the signals are disconnected when the window is destroyed.

 src/empathy-call-window.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 2223a2eb1e505b857ad13a44bc888149dc3f0334
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Wed Jul 27 11:39:21 2011 +0100

    audio-src: add API for changing microphone

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   79
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-audio-src.h |    5 +++
 2 files changed, 84 insertions(+), 0 deletions(-)

commit 77712e75df674fb1f6fb58bd92a26ce75cf41787
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 17:45:50 2011 +0100

    audio-src: add the source name to the microphone info struct

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    2 ++
 src/empathy-audio-src.h |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 7212c6e568aab0c729c9334b0b7a82e7eb33597d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 14:27:33 2011 +0100

    audio-src: add API to query available microphones

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |  197
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/empathy-audio-src.h |   12 +++
 2 files changed, 209 insertions(+), 0 deletions(-)

commit 2b922c7d744be1bd46f67215a8fb5b1eec6377c0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 14:25:50 2011 +0100

    configure: depend on libpulse

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 65e9deccdb37c518ebfa766b7762ace338e9a027
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 14:24:29 2011 +0100

    audio-src: remove the element-added stuff

    Now that we hard-code pulsesrc, this is unnecessary.

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |   30 ------------------------------
 1 files changed, 0 insertions(+), 30 deletions(-)

commit 8a937c926c79f24fdb36574cb036c9fc09532f3f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 10:32:34 2011 +0100

    audio-src: allow changing the audio source element

    Better than nothing, right?

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 6146181a2cbcbcd3e5b631a9517441fefb9c4fcc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:	Tue Jul 26 10:28:40 2011 +0100

    audio-src: use pulsesrc instead of gconfaudiosrc

    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/empathy-audio-src.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f8ad828afebbacef6d7d3560067976e4fc6f90a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 27 09:06:01 2011 +0100

    CallWindow: build the toolbar from the .ui

 src/empathy-call-window.c  |	72
 ++-----------------------------------------
 src/empathy-call-window.ui |	63 +++++++++++++++++++++++++++++++++++++-
 2 files changed, 66 insertions(+), 69 deletions(-)

commit 3066f837ec3c22d46382914111bd152b94f3f61e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 25 19:24:53 2011 +0100

    CallWindow: hide the audio/video call buttons on _init()

    When we create a new window it's because there's an incoming
    call, so hide the audio/video call buttons.

 src/empathy-call-window.c  |	 2 ++
 src/empathy-call-window.ui |	 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b8069dc8f3ec2cd215458194dc7a9eab26136faa
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 25 19:14:30 2011 +0100

    CallWindow: remove redial menu

 src/empathy-call-window.c  |	24 ------------------------
 src/empathy-call-window.ui |	 9 ---------
 2 files changed, 0 insertions(+), 33 deletions(-)

commit fd8f73fce4e74cfc0d0538a4b6c7363d35a41ff8
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 25 18:56:38 2011 +0100

    CallWindow: remove separator between hangup and dialpad buttons

 src/empathy-call-window.ui |	 8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit a12146186cab45c3b3ae074847c77007e23a077c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 25 18:47:51 2011 +0100

    CallWindow: show audio and video call buttons to start a call

    Instead of the redial button.

 src/empathy-call-handler.c |	 2 +-
 src/empathy-call-window.c  |	49
 +++++++++++++++++++++++++++++++++++++------
 src/empathy-call-window.ui |	22 +++++++++++++------
 3 files changed, 58 insertions(+), 15 deletions(-)

commit 146b284c38cd87ee7a56ad454ccd485d3938c1b1
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 17:14:12 2011 +0100

    CallWindow: add the remote user name and presence to the toolbar

 src/empathy-call-window.c |   46
 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 45 insertions(+), 1 deletions(-)

commit 3b49f652dd86213f85655d4f1921e3cb52313dd5
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 16:34:52 2011 +0100

    CallWindow: add an avatar to the top toolbar

 src/empathy-call-window.c |   43
 ++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 40 insertions(+), 3 deletions(-)

commit 532ad67f84a53d2fcf8bad5f5e44672951ab95b2
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 15:26:20 2011 +0100

    CallWindow: move the status message to the bottom toolbar

    From its own statusbar.

 src/empathy-call-window.c  |	46
 ++++++++++++++++++++++----------------------
 src/empathy-call-window.ui |	12 +----------
 2 files changed, 24 insertions(+), 34 deletions(-)

commit 2dcddbe1397ab3ee2cdd84bd146d311d067b8729
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 13:07:42 2011 +0100

    CallWindow: move the volume button to the bottom toolbar

 src/empathy-call-window.c  |	25 +++++++++----------------
 src/empathy-call-window.ui |	 8 ++++++++
 2 files changed, 17 insertions(+), 16 deletions(-)

commit 7cedbcb6d8b8264ba5a35ebb692605fc047e4f27
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 12:57:13 2011 +0100

    CallWindow: add a bottom toolbar

    And move some buttons to it following the new call UI design.

 src/empathy-call-window.ui |	60
 ++++++++++++++++++++++++++-----------------
 1 files changed, 36 insertions(+), 24 deletions(-)

commit 2a17ecc15a7ac2bdc45fd0339ac10e379de8056f
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Jul 28 09:10:40 2011 +0200

    Updated Czech translation

 po/cs.po | 1803
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 1111 insertions(+), 692 deletions(-)

commit 6cee5de76941076ba103101392de644bee3bd8a6
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri May 13 13:38:51 2011 +1000

    Add letters underneath the numbers on the dialpad

    https://bugzilla.gnome.org/show_bug.cgi?id=632874

 libempathy-gtk/empathy-ui-utils.c |   52
 +++++++++++++++++++++++++++---------
 1 files changed, 39 insertions(+), 13 deletions(-)

commit c5c0cd8d6f433896b406287cf5be078670cb734d
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Fri May 13 13:19:49 2011 +1000

    Factor out dialpad into a utility function

    The dialpad is shared between empathy-call and empathy-av.

    Really it would be nice to make the dialpad its own little widget
    that emits
    signals with DTMF event ids, but I've got things to get done.

    Conflicts:

	libempathy-gtk/empathy-ui-utils.c
	src/empathy-call-window.c
	src/empathy-streamed-media-window.c

 libempathy-gtk/empathy-ui-utils.c   |	 47
 +++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-ui-utils.h   |	  5 +++
 src/empathy-call-window.c	     |	 53
 ++--------------------------------
 src/empathy-streamed-media-window.c |	 53
 ++--------------------------------
 4 files changed, 60 insertions(+), 98 deletions(-)

commit ece8e76a9d3e39dbcf9f8efdeb5e12e6ba77461c
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Tue Jul 26 12:34:22 2011 +0200

    remove released flag

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9d302c6e465e559367dc70087894fc57cd5e1af4
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Mon Jul 25 16:46:42 2011 +0200

    prepare release

 NEWS	      |   41 +++++++++++++++++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 43 insertions(+), 2 deletions(-)

commit 20dd5c1f01cff2c523ce74bc02a57c8e53b2aa65
Merge: 5a56118 5beda72
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Tue Jul 26 10:19:50 2011 +0200

    Merge remote-tracking branch 'danni/populate-popup-654669'

commit 5a56118ce05c8b0579e4a7397d9c57fdd3b01937
Merge: e10a065 d954376
Author: Xavier Claessens <xclaesse@gmail.com>
Date:	Tue Jul 26 10:19:39 2011 +0200

    Merge remote-tracking branch 'danni/drag-n-drop-558942'

commit d954376bde5deb4cadfc55e510b703d946ede93f
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Jul 26 13:50:21 2011 +1000

    Apply the same fix to EmpathyContactListView

 libempathy-gtk/empathy-contact-list-view.c |	 6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5beda725e1aff0da12703e2f51cdb4b95c63b321
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Tue Jul 26 13:36:18 2011 +1000

    Assume GDK_KEY_PRESS in the default case

    Warn if making this assumption.

 libempathy-gtk/empathy-chat.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit e10a0655a4eb8c36f232d533078bcf6b8e7fdbd0
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	Mon Jul 25 21:36:31 2011 +0200

    Updated Spanish translation

 po/es.po |  248
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 127 insertions(+), 121 deletions(-)

commit 1005e9de9fc06a00818cc75e491181eb96801bf3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 11:23:48 2011 +0100

    CallWindow: fix comments

    We no longer show the self avatar

 src/empathy-call-window.c |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7b4e9b313ba24d01853ef93f893fdc3a26b0b1ba
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 11:22:48 2011 +0100

    CallWindow: fix typo

 src/empathy-call-window.c |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c4906c89433cdd5dff9f500579c580799fe77dca
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 12:08:39 2011 +0100

    CallWindow: ignore events in the data probe callback

    We only want to show the remote video again if we receive
    video frames, not if we receive an event for whatever reason.

    That's in fact what we get when we start sending our own video,
    and so we don't want to display the remote video if it was
    hidden because we're not receiving it anymore.

 src/empathy-call-window.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5a591d49c2ce331c79247fa868a856fa2494196d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 22 11:40:51 2011 +0100

    CallWindow: check the video exists before showing it

    Since empathy_call_window_show_video_output_cb() is called
    in an idle thread, it's possible that the video is removed
    before the function is executed, so check if it's still there
    before showing it.

 src/empathy-call-window.c |	7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 2a84ffe088258126169ae7d91806d32cab199286
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jun 13 12:07:31 2011 +0100

    CallWindow: show the remote avatar when video stops coming

    If we don't get incoming video for a few seconds, show the
    remote contact avatar instead of the frozen video, and show
    the video back if it starts coming again.

 src/empathy-call-window.c |   67
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 67 insertions(+), 0 deletions(-)

commit d9bb5b999731c247b845ba7e97393d2e25bcfeca
Merge: dcd8d50 bed17cf
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Mon Jul 25 12:43:10 2011 +0100

    Merge branch 'irc-dialog'

    Fixes: <https://bugzilla.gnome.org/show_bug.cgi?id=654552>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit bed17cf9d003db8ecea2fc012cb53ff38554654d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Tue Jul 19 13:09:49 2011 +0100

    IRC accounts: top-justify the password hint.

    As mentioned on
    <https://bugzilla.gnome.org/show_bug.cgi?id=654552#c13>,
    this makes the password hint text be right up against the field it's
    hinting about, at the cost of even more ugly space between it and
    the Advanced expander. I think this is the lesser of two evils.

 libempathy-gtk/empathy-account-widget-irc.ui |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dcd8d507b617e5b8fb6cea5a23d61d922bcca3ba
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 21 13:01:10 2011 +0100

    CallWindow: remove unused box

    It was taking horizontal space even if it was empty, causing
    the video widget to not take the full width when returning
    from fullscreen.

 src/empathy-call-window.c |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit 0587937dc09abbd56d36ca395c82f64098903937
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed Jul 20 18:04:26 2011 +0100

    Set the video widget for the fullscreen window

    Otherwise the mouse cursor won't be hidden after a timeout
    and the 'Leave fullscreen' button won't dissapear when we
    unfullscreen the call window.

 src/empathy-call-window.c |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f544815fbc8ccc9e0f35bfbcdbed4692ef1ab8e6
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Wed Jul 20 17:06:33 2011 +1000

    Don't generate critical when dragging with no contact selected

    This also fixes the problem where dragging with no contact selected
    drags the
    previously selected contact.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=558942

 libempathy-gtk/empathy-individual-view.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 00c4753fa9cf2431a6d35c28cb6a0b1e94670a89
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Tue Jul 19 22:26:32 2011 +0200

    Updated Slovenian translation

 po/sl.po |  407
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 218 insertions(+), 189 deletions(-)

commit 3d3452cab15ac7dcc8dee37edef9faffadded3a1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Tue Jul 19 09:22:26 2011 +0100

    IRC: validate 'username' parameter.

 libempathy-gtk/empathy-account-widget.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 926cc3f303b944e46a2398c51a220cde48f9b46d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Tue Jul 19 09:15:11 2011 +0100

    IRC: rename “user_name” regex to “nick_name”

    The 'account’ parameter in Telepathy, to which this regex applies,
    is
    the ‘nickname’ in IRC parlance.

    (I'm about to add a regex for what IRC calls ‘usernames’.)

 libempathy-gtk/empathy-account-widget.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 98182d81df41790db37ec222e598bfef1cd8d85b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	Tue Jul 19 08:55:15 2011 +0100

    IRC accounts: make labels the same width.

    This addresses Nick's concern on
    https://bugzilla.gnome.org/show_bug.cgi?id=654552

 libempathy-gtk/empathy-account-widget-irc.ui |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 6ad8cdf6622aa204b4f7cef2f44433637099f175
Author: Rob Sharp <robrobrobsharp@gmail.com>
Date:	Tue Jul 19 09:03:42 2011 +0100

    Add an advanced section to the IRC configuration page

    -Move the Real Name and Quit Message to the advanced section
    -Add a new Username field to the advanced section

    https://bugzilla.gnome.org/show_bug.cgi?id=654552

 libempathy-gtk/empathy-account-widget-irc.c  |    1 +
 libempathy-gtk/empathy-account-widget-irc.ui |  259
 ++++++++++++++++++--------
 2 files changed, 180 insertions(+), 80 deletions(-)

commit 2af8f317369b987e5ae1492bd597bb741df7dcc3
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Jul 19 10:16:29 2011 +0100

    Revert "empathy_call_new_with_streams: prefer StreamedMedia over Call"

    Default to Call channels again.

    https://bugzilla.gnome.org/show_bug.cgi?id=654611

    This reverts commit 1cacc0945f81e0513013b83ca7488589dd6c61f7.

 libempathy-gtk/empathy-call-utils.c |	 30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit a32ce8185b6600c7c26111ee3b64e6fd8912c567
Author: Daniel Nylander <po@danielnylander.se>
Date:	Mon Jul 18 23:10:00 2011 +0200

    Updated Swedish translation

 po/sv.po |   78
 +++++++++++++++++++++++++------------------------------------
 1 files changed, 32 insertions(+), 46 deletions(-)

commit 3b225294da4fb6f57d147f83c7ed78c8a44f0aec
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	Mon Jul 18 14:20:05 2011 +1000

    Populate spelling suggestions when menu key is pressed

    Track what kind of event generated the populate-popup event and then
    use the
    cursor position or mouse position as appropriate.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=654669

 libempathy-gtk/empathy-chat.c |   52
 ++++++++++++++++++++++++++++++++++++----
 1 files changed, 46 insertions(+), 6 deletions(-)

commit b7c238e691a8f2a171b9efa2e5f38af0f0c2a56f
Author: Daniel Nylander <po@danielnylander.se>
Date:	Fri Jul 15 13:13:11 2011 +0200

    Updated Swedish translation

 po/sv.po | 2231
 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 1463 insertions(+), 768 deletions(-)

commit b4175711fb0b0cb34b51f049ff4eeb2cff7eec86
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Fri Jul 15 10:21:26 2011 +0300

    Updated Hebrew translation.

 po/he.po |  399
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 214 insertions(+), 185 deletions(-)

commit 39ea5fe2605a9f02a74683cf0be9856217b38cc7
Author: Rob Sharp <robrobrobsharp@gmail.com>
Date:	Wed Jul 13 11:33:53 2011 +0100

    Debug logs will now be saved in the user's home directory rather
    than /tmp

    https://bugzilla.gnome.org/show_bug.cgi?id=654541

 src/empathy-debug-window.c |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 560d11b069f159a27b3a0e258842028ff705d612
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	Wed Jul 13 12:09:19 2011 +0200

    release.py: detect bug numbers using their full URL

    git-bz uses the full address of the bug so best to support that
    format as
    well.

 release.py |	 5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit a76fee797c59738c7f9e932fa5bfac16c49f66fe
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Jul 13 10:53:58 2011 +0200

    Updated Spanish translation

 po/es.po |  358
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 192 insertions(+), 166 deletions(-)

commit d3620a6f0eb0632c4ef96c48bcdb7adace8c1ff2
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	Tue Jul 12 15:04:25 2011 +0300

    Updated Latvian translation.

 po/lv.po | 2054
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 1233 insertions(+), 821 deletions(-)

commit d786fd74bda1df1067d71897f525f2a0e0fa50f7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Tue Jul 12 12:50:05 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  398
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 212 insertions(+), 186 deletions(-)

commit 55d7a944fa0783718a69e4d1b5e574f326befa58
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue Jul 12 10:26:17 2011 +0100

    LogWindow: stop retrieving logs if the window is closed

 libempathy-gtk/empathy-log-window.c |	  5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4305ae9d96e4a6b3fb749b64d6d0c4b0045ab1fc
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri May 13 11:54:49 2011 +0100

    Only follow available cameras if the contact can do Video calls

 libempathy-gtk/empathy-individual-menu.c |   13 +++++++++----
 libempathy/empathy-contact.c		  |   14 ++------------
 2 files changed, 11 insertions(+), 16 deletions(-)

commit c463ca2f1aa7ba43248b8f07879c4268cb536670
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed May 11 10:37:43 2011 +0100

    LogWindow: disable Video calls if no camera connected

 libempathy-gtk/empathy-log-window.c |	 19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

commit fe7e98c6222fae967005ca81042963118953fd43
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 13:14:45 2011 +0100

    CallWindow: disable Video functionality if there's no camera

 src/empathy-call-window.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 622469eebd6cee91e1c0a27c3532ecb836fa14fb
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu May 12 15:19:39 2011 +0100

    Bind 'Video call' menu items to available cameras

 libempathy-gtk/empathy-individual-menu.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 11b3e6e941f3407de410308191cbe5088cc074e4
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 13:14:05 2011 +0100

    A contact doesn't support video if we have no camera

 libempathy/empathy-contact.c |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit e12ee6f8126a10fb0789e634dfd4251f246e2b90
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 13:13:12 2011 +0100

    NewCallDialog: make 'Enable video' unsensitive when there's no camera

 libempathy-gtk/empathy-new-call-dialog.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 3a54e248335203c6979ef733adc7b07a25660613
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 11:48:35 2011 +0100

    Add empathy_camera_monitor_get_available

 libempathy/empathy-camera-monitor.c |	  7 +++++++
 libempathy/empathy-camera-monitor.h |	  2 ++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 20fe4d7b990d32e70fcdb9fd46cde2ed00c6d71d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 11:33:29 2011 +0100

    Optionally check for gudev for camera monitoring

 configure.ac		|   26 ++++++++++++++++++++++++++
 libempathy/Makefile.am |    4 +++-
 2 files changed, 29 insertions(+), 1 deletions(-)

commit c1465c5133df557ff5e0f5f3e7463e0fdc0eae1e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Wed May 11 10:47:55 2011 +0100

    Don't disable video calls when built without udev

 libempathy/empathy-camera-monitor.c |	  5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5c5890caba5e3ddc4298f138f3bb802993b21b4d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 10:32:33 2011 +0100

    Add EmpathyCameraMonitor

 libempathy/Makefile.am		     |	  6 +-
 libempathy/empathy-camera-monitor.c |	174
 +++++++++++++++++++++++++++++++++++
 libempathy/empathy-camera-monitor.h |	 54 +++++++++++
 3 files changed, 232 insertions(+), 2 deletions(-)

commit eba2a3dba40cab986589bac073d16627b3f9bf90
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Tue May 10 09:48:06 2011 +0100

    Add CheeseCameraDeviceMonitor from libcheese

 libempathy/Makefile.am			   |	9 +-
 libempathy/cheese-camera-device-monitor.c |  412
 +++++++++++++++++++++++++++++
 libempathy/cheese-camera-device-monitor.h |   67 +++++
 3 files changed, 485 insertions(+), 3 deletions(-)

commit 7271692646a1212cce6d55731e38c7825b4e494e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 11 18:29:28 2011 +0100

    StreamedMediaWindow: don't use `call-window' for the geometry

    Use av-window instead, so Call and StreamedMedia windows'
    geometry isn't mixed as the windows are quite different now.

 src/empathy-streamed-media-window.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee432f2c641a383ad8b32cb1ef7d2d2c2ee9c880
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 11 18:27:52 2011 +0100

    CallWindow: save the window geometry without the sidebar

    Since we don't show the sidebar when creating new call windows,
    we should not take the sidebar into account when saving the
    window geometry.

    https://bugzilla.gnome.org/show_bug.cgi?id=634809

 libempathy-gtk/empathy-geometry.c |   47
 ++++++++++++++++++++++++------------
 libempathy-gtk/empathy-geometry.h |	7 +++++
 src/empathy-call-window.c	   |   47
 +++++++++++++++++++++++++++++++++++++
 3 files changed, 85 insertions(+), 16 deletions(-)

commit 3535c55225076c649883aa4a497893b1f165a110
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Mon Jul 11 16:04:47 2011 +0100

    CallWindow: properly determine the sidebar width

    The first time we show the sidebar, gtk_widget_get_allocation()
    doesn't return the correct width as the allocation hasn't been
    done yet. So use gtk_widget_get_preferred_width() as the minimum
    width is what is actually allocated.

 src/empathy-call-window.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 70fc920514af12b5c96e928a3178dfd9ddd8ed9e
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Fri Jul 8 15:45:27 2011 +0100

    CallWindow: add a dialpad tool button

    Rename the dialpad menu entry to Sidebar and move it to
    the View menu at the same time.

 src/empathy-call-window.c  |	49
 +++++++++++++++++++++++++++++++++----------
 src/empathy-call-window.ui |	19 +++++++++++++---
 2 files changed, 52 insertions(+), 16 deletions(-)

commit f0c80062b0fcdec789a478ed58528ec6fdd14622
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 7 10:21:01 2011 +0100

    CallWindow: allow to show/hide the video preview

    There's now a button next to the video preview when it's shown
    and in a corner when it's hidden that allows to hide and show
    it.

 src/empathy-call-window.c  |  103
 ++++++++++++++++++++++++++++++++++++++++++-
 src/empathy-call-window.ui |	26 +++++++++++
 2 files changed, 126 insertions(+), 3 deletions(-)

commit 538d987eb2e525e957caf9b05e6233ed7541c1d8
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:	Thu Jul 7 08:30:47 2011 +0100

    CallWindow: only show one button to control the camera

    Having three buttons to control the camera clutters the
